/*
 * Copyright (c) 2011 Intel Corporation. All Rights Reserved.
 * Copyright (c) Imagination Technologies Limited, UK
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sub license, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.
 * IN NO EVENT SHALL PRECISION INSIGHT AND/OR ITS SUPPLIERS BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef _REGCONV_H_topazhp_core_regs_h
#define _REGCONV_H_topazhp_core_regs_h

#ifdef __cplusplus 
#include "img_types.h"
#include "systemc_utils.h"
#endif 


/* Register CR_TOPAZHP_SRST */
#define TOPAZHP_CR_TOPAZHP_SRST     0x0000
#define MASK_TOPAZHP_CR_TOPAZHP_IPE_SOFT_RESET 0x00000001
#define SHIFT_TOPAZHP_CR_TOPAZHP_IPE_SOFT_RESET 0
#define REGNUM_TOPAZHP_CR_TOPAZHP_IPE_SOFT_RESET 0x0000
#define SIGNED_TOPAZHP_CR_TOPAZHP_IPE_SOFT_RESET 0

#define MASK_TOPAZHP_CR_TOPAZHP_SPE_SOFT_RESET 0x00000002
#define SHIFT_TOPAZHP_CR_TOPAZHP_SPE_SOFT_RESET 1
#define REGNUM_TOPAZHP_CR_TOPAZHP_SPE_SOFT_RESET 0x0000
#define SIGNED_TOPAZHP_CR_TOPAZHP_SPE_SOFT_RESET 0

#define MASK_TOPAZHP_CR_TOPAZHP_PC_SOFT_RESET 0x00000004
#define SHIFT_TOPAZHP_CR_TOPAZHP_PC_SOFT_RESET 2
#define REGNUM_TOPAZHP_CR_TOPAZHP_PC_SOFT_RESET 0x0000
#define SIGNED_TOPAZHP_CR_TOPAZHP_PC_SOFT_RESET 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP_SOFT_RESET 0x00000008
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP_SOFT_RESET 3
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP_SOFT_RESET 0x0000
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP_SOFT_RESET 0

#define MASK_TOPAZHP_CR_TOPAZHP_JMCOMP_SOFT_RESET 0x00000010
#define SHIFT_TOPAZHP_CR_TOPAZHP_JMCOMP_SOFT_RESET 4
#define REGNUM_TOPAZHP_CR_TOPAZHP_JMCOMP_SOFT_RESET 0x0000
#define SIGNED_TOPAZHP_CR_TOPAZHP_JMCOMP_SOFT_RESET 0

#define MASK_TOPAZHP_CR_TOPAZHP_PREFETCH_SOFT_RESET 0x00000020
#define SHIFT_TOPAZHP_CR_TOPAZHP_PREFETCH_SOFT_RESET 5
#define REGNUM_TOPAZHP_CR_TOPAZHP_PREFETCH_SOFT_RESET 0x0000
#define SIGNED_TOPAZHP_CR_TOPAZHP_PREFETCH_SOFT_RESET 0

#define MASK_TOPAZHP_CR_TOPAZHP_VLC_SOFT_RESET 0x00000040
#define SHIFT_TOPAZHP_CR_TOPAZHP_VLC_SOFT_RESET 6
#define REGNUM_TOPAZHP_CR_TOPAZHP_VLC_SOFT_RESET 0x0000
#define SIGNED_TOPAZHP_CR_TOPAZHP_VLC_SOFT_RESET 0

#define MASK_TOPAZHP_CR_TOPAZHP_DB_SOFT_RESET 0x00000080
#define SHIFT_TOPAZHP_CR_TOPAZHP_DB_SOFT_RESET 7
#define REGNUM_TOPAZHP_CR_TOPAZHP_DB_SOFT_RESET 0x0000
#define SIGNED_TOPAZHP_CR_TOPAZHP_DB_SOFT_RESET 0

#define MASK_TOPAZHP_CR_TOPAZHP_LTRITC_SOFT_RESET 0x00000100
#define SHIFT_TOPAZHP_CR_TOPAZHP_LTRITC_SOFT_RESET 8
#define REGNUM_TOPAZHP_CR_TOPAZHP_LTRITC_SOFT_RESET 0x0000
#define SIGNED_TOPAZHP_CR_TOPAZHP_LTRITC_SOFT_RESET 0

/* Register CR_TOPAZHP_INTSTAT */
#define TOPAZHP_CR_TOPAZHP_INTSTAT  0x0004
#define MASK_TOPAZHP_CR_TOPAZHP_INTS_IPE0_DONE 0x00000001
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_IPE0_DONE 0
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_IPE0_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_IPE0_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_IPE1_DONE 0x00000002
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_IPE1_DONE 1
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_IPE1_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_IPE1_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_SPE0_DONE 0x00000004
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_SPE0_DONE 2
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_SPE0_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_SPE0_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_SPE1_DONE 0x00000008
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_SPE1_DONE 3
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_SPE1_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_SPE1_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_PC_DONE 0x00000010
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_PC_DONE 4
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_PC_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_PC_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_H264COMP_DONE 0x00000020
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_H264COMP_DONE 5
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_H264COMP_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_H264COMP_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_JMCOMP_DONE 0x00000040
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_JMCOMP_DONE 6
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_JMCOMP_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_JMCOMP_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_VLC_DONE 0x00000080
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_VLC_DONE 7
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_VLC_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_VLC_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_DEB_DONE 0x00000100
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_DEB_DONE 8
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_DEB_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_DEB_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_SOFTWARE0 0x00000200
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_SOFTWARE0 9
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_SOFTWARE0 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_SOFTWARE0 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_SOFTWARE1 0x00000400
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_SOFTWARE1 10
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_SOFTWARE1 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_SOFTWARE1 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_SEQ_START 0x00000800
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_SEQ_START 11
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_SEQ_START 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_SEQ_START 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_SLICE_DONE 0x00001000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_SLICE_DONE 12
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_SLICE_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_SLICE_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_PREFETCH_DONE 0x00002000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_PREFETCH_DONE 13
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_PREFETCH_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_PREFETCH_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_RATE_CTRL_DONE 0x00004000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_RATE_CTRL_DONE 14
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_RATE_CTRL_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_RATE_CTRL_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_DMA_DONE 0x00010000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_DMA_DONE 16
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_DMA_DONE 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_DMA_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_COMBINED 0x20000000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_COMBINED 29
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_COMBINED 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_COMBINED 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_MASTER_MTX 0x40000000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_MASTER_MTX 30
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_MASTER_MTX 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_MASTER_MTX 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTS_MASTER_HOST 0x80000000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTS_MASTER_HOST 31
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTS_MASTER_HOST 0x0004
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTS_MASTER_HOST 0

/* Register CR_TOPAZHP_MTX_INTENAB */
#define TOPAZHP_CR_TOPAZHP_MTX_INTENAB 0x0008
#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_IPE0_DONE 0x00000001
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_IPE0_DONE 0
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_IPE0_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_IPE0_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_IPE1_DONE 0x00000002
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_IPE1_DONE 1
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_IPE1_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_IPE1_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SPE0_DONE 0x00000004
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SPE0_DONE 2
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SPE0_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SPE0_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SPE1_DONE 0x00000008
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SPE1_DONE 3
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SPE1_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SPE1_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_PC_DONE 0x00000010
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_PC_DONE 4
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_PC_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_PC_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_H264COMP_DONE 0x00000020
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_H264COMP_DONE 5
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_H264COMP_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_H264COMP_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_JMCOMP_DONE 0x00000040
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_JMCOMP_DONE 6
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_JMCOMP_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_JMCOMP_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_VLC_DONE 0x00000080
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_VLC_DONE 7
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_VLC_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_VLC_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_DEB_DONE 0x00000100
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_DEB_DONE 8
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_DEB_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_DEB_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SOFTWARE0 0x00000200
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SOFTWARE0 9
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SOFTWARE0 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SOFTWARE0 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SOFTWARE1 0x00000400
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SOFTWARE1 10
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SOFTWARE1 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SOFTWARE1 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SEQ_START 0x00000800
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SEQ_START 11
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SEQ_START 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SEQ_START 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SLICE_DONE 0x00001000
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SLICE_DONE 12
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SLICE_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_SLICE_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_PREFETCH_DONE 0x00002000
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_PREFETCH_DONE 13
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_PREFETCH_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_PREFETCH_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_RATE_CTRL_DONE 0x00004000
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_RATE_CTRL_DONE 14
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_RATE_CTRL_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_RATE_CTRL_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_DMA_DONE 0x00010000
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_DMA_DONE 16
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_DMA_DONE 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_DMA_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_COMBINED 0x20000000
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_COMBINED 29
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_COMBINED 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_COMBINED 0

#define MASK_TOPAZHP_CR_TOPAZHP_MTX_INTEN_MASTER 0x40000000
#define SHIFT_TOPAZHP_CR_TOPAZHP_MTX_INTEN_MASTER 30
#define REGNUM_TOPAZHP_CR_TOPAZHP_MTX_INTEN_MASTER 0x0008
#define SIGNED_TOPAZHP_CR_TOPAZHP_MTX_INTEN_MASTER 0

/* Register CR_TOPAZHP_HOST_INTENAB */
#define TOPAZHP_CR_TOPAZHP_HOST_INTENAB 0x000C
#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_IPE0_DONE 0x00000001
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_IPE0_DONE 0
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_IPE0_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_IPE0_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_IPE1_DONE 0x00000002
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_IPE1_DONE 1
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_IPE1_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_IPE1_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SPE0_DONE 0x00000004
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SPE0_DONE 2
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SPE0_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SPE0_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SPE1_DONE 0x00000008
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SPE1_DONE 3
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SPE1_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SPE1_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_PC_DONE 0x00000010
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_PC_DONE 4
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_PC_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_PC_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_H264COMP_DONE 0x00000020
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_H264COMP_DONE 5
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_H264COMP_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_H264COMP_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_JMCOMP_DONE 0x00000040
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_JMCOMP_DONE 6
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_JMCOMP_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_JMCOMP_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_VLC_DONE 0x00000080
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_VLC_DONE 7
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_VLC_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_VLC_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_DEB_DONE 0x00000100
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_DEB_DONE 8
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_DEB_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_DEB_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SOFTWARE0 0x00000200
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SOFTWARE0 9
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SOFTWARE0 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SOFTWARE0 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SOFTWARE1 0x00000400
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SOFTWARE1 10
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SOFTWARE1 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SOFTWARE1 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SEQ_START 0x00000800
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SEQ_START 11
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SEQ_START 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SEQ_START 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SLICE_DONE 0x00001000
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SLICE_DONE 12
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SLICE_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_SLICE_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_PREFETCH_DONE 0x00002000
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_PREFETCH_DONE 13
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_PREFETCH_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_PREFETCH_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_RATE_CTRL_DONE 0x00004000
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_RATE_CTRL_DONE 14
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_RATE_CTRL_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_RATE_CTRL_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_DMA_DONE 0x00010000
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_DMA_DONE 16
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_DMA_DONE 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_DMA_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_COMBINED 0x20000000
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_COMBINED 29
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_COMBINED 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_COMBINED 0

#define MASK_TOPAZHP_CR_TOPAZHP_HOST_INTEN_MASTER 0x80000000
#define SHIFT_TOPAZHP_CR_TOPAZHP_HOST_INTEN_MASTER 31
#define REGNUM_TOPAZHP_CR_TOPAZHP_HOST_INTEN_MASTER 0x000C
#define SIGNED_TOPAZHP_CR_TOPAZHP_HOST_INTEN_MASTER 0

/* Register CR_TOPAZHP_INTCLEAR */
#define TOPAZHP_CR_TOPAZHP_INTCLEAR 0x0010
#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_IPE0_DONE 0x00000001
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_IPE0_DONE 0
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_IPE0_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_IPE0_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_IPE1_DONE 0x00000002
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_IPE1_DONE 1
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_IPE1_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_IPE1_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_SPE0_DONE 0x00000004
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_SPE0_DONE 2
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_SPE0_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_SPE0_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_SPE1_DONE 0x00000008
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_SPE1_DONE 3
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_SPE1_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_SPE1_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_PC_DONE 0x00000010
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_PC_DONE 4
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_PC_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_PC_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_H264COMP_DONE 0x00000020
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_H264COMP_DONE 5
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_H264COMP_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_H264COMP_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_JMCOMP_DONE 0x00000040
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_JMCOMP_DONE 6
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_JMCOMP_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_JMCOMP_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_VLC_DONE 0x00000080
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_VLC_DONE 7
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_VLC_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_VLC_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_DEB_DONE 0x00000100
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_DEB_DONE 8
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_DEB_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_DEB_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_SOFTWARE0 0x00000200
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_SOFTWARE0 9
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_SOFTWARE0 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_SOFTWARE0 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_SOFTWARE1 0x00000400
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_SOFTWARE1 10
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_SOFTWARE1 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_SOFTWARE1 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_SEQ_START 0x00000800
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_SEQ_START 11
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_SEQ_START 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_SEQ_START 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_SLICE_DONE 0x00001000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_SLICE_DONE 12
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_SLICE_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_SLICE_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_PREFETCH_DONE 0x00002000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_PREFETCH_DONE 13
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_PREFETCH_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_PREFETCH_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_RATE_CTRL_DONE 0x00004000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_RATE_CTRL_DONE 14
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_RATE_CTRL_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_RATE_CTRL_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCLR_DMA_DONE 0x00010000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCLR_DMA_DONE 16
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCLR_DMA_DONE 0x0010
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCLR_DMA_DONE 0

/* Register CR_TOPAZHP_INT_COMB_SEL */
#define TOPAZHP_CR_TOPAZHP_INT_COMB_SEL 0x0014
#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_IPE0_DONE 0x00000001
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_IPE0_DONE 0
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_IPE0_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_IPE0_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_IPE1_DONE 0x00000002
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_IPE1_DONE 1
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_IPE1_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_IPE1_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_SPE0_DONE 0x00000004
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_SPE0_DONE 2
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_SPE0_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_SPE0_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_SPE1_DONE 0x00000008
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_SPE1_DONE 3
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_SPE1_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_SPE1_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_PC_DONE 0x00000010
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_PC_DONE 4
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_PC_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_PC_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_H264COMP_DONE 0x00000020
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_H264COMP_DONE 5
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_H264COMP_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_H264COMP_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_JMCOMP_DONE 0x00000040
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_JMCOMP_DONE 6
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_JMCOMP_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_JMCOMP_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_VLC_DONE 0x00000080
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_VLC_DONE 7
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_VLC_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_VLC_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_DEB_DONE 0x00000100
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_DEB_DONE 8
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_DEB_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_DEB_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_SOFTWARE0 0x00000200
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_SOFTWARE0 9
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_SOFTWARE0 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_SOFTWARE0 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_SOFTWARE1 0x00000400
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_SOFTWARE1 10
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_SOFTWARE1 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_SOFTWARE1 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_SEQ_START 0x00000800
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_SEQ_START 11
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_SEQ_START 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_SEQ_START 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_SLICE_DONE 0x00001000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_SLICE_DONE 12
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_SLICE_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_SLICE_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_PREFETCH_DONE 0x00002000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_PREFETCH_DONE 13
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_PREFETCH_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_PREFETCH_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_RATE_CTRL_DONE 0x00004000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_RATE_CTRL_DONE 14
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_RATE_CTRL_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_RATE_CTRL_DONE 0

#define MASK_TOPAZHP_CR_TOPAZHP_INTCSEL_DMA_DONE 0x00010000
#define SHIFT_TOPAZHP_CR_TOPAZHP_INTCSEL_DMA_DONE 16
#define REGNUM_TOPAZHP_CR_TOPAZHP_INTCSEL_DMA_DONE 0x0014
#define SIGNED_TOPAZHP_CR_TOPAZHP_INTCSEL_DMA_DONE 0

/* Register CR_TOPAZHP_BUSY */
#define TOPAZHP_CR_TOPAZHP_BUSY     0x0018
#define MASK_TOPAZHP_CR_TOPAZHP_IPE0_BUSY 0x00000001
#define SHIFT_TOPAZHP_CR_TOPAZHP_IPE0_BUSY 0
#define REGNUM_TOPAZHP_CR_TOPAZHP_IPE0_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_IPE0_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_IPE1_BUSY 0x00000002
#define SHIFT_TOPAZHP_CR_TOPAZHP_IPE1_BUSY 1
#define REGNUM_TOPAZHP_CR_TOPAZHP_IPE1_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_IPE1_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_SPE0_BUSY 0x00000004
#define SHIFT_TOPAZHP_CR_TOPAZHP_SPE0_BUSY 2
#define REGNUM_TOPAZHP_CR_TOPAZHP_SPE0_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_SPE0_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_SPE1_BUSY 0x00000008
#define SHIFT_TOPAZHP_CR_TOPAZHP_SPE1_BUSY 3
#define REGNUM_TOPAZHP_CR_TOPAZHP_SPE1_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_SPE1_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_DIRECT_BUSY 0x00000010
#define SHIFT_TOPAZHP_CR_TOPAZHP_DIRECT_BUSY 4
#define REGNUM_TOPAZHP_CR_TOPAZHP_DIRECT_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_DIRECT_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_PC_BUSY 0x00000020
#define SHIFT_TOPAZHP_CR_TOPAZHP_PC_BUSY 5
#define REGNUM_TOPAZHP_CR_TOPAZHP_PC_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_PC_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_JMCOMP_BUSY 0x00000040
#define SHIFT_TOPAZHP_CR_TOPAZHP_JMCOMP_BUSY 6
#define REGNUM_TOPAZHP_CR_TOPAZHP_JMCOMP_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_JMCOMP_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_VLC_BUSY 0x00000080
#define SHIFT_TOPAZHP_CR_TOPAZHP_VLC_BUSY 7
#define REGNUM_TOPAZHP_CR_TOPAZHP_VLC_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_VLC_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_DEB_BUSY 0x00000100
#define SHIFT_TOPAZHP_CR_TOPAZHP_DEB_BUSY 8
#define REGNUM_TOPAZHP_CR_TOPAZHP_DEB_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_DEB_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_MOTION_CALC_BUSY 0x00000200
#define SHIFT_TOPAZHP_CR_TOPAZHP_MOTION_CALC_BUSY 9
#define REGNUM_TOPAZHP_CR_TOPAZHP_MOTION_CALC_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_MOTION_CALC_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_PREFETCH_BUSY 0x00000400
#define SHIFT_TOPAZHP_CR_TOPAZHP_PREFETCH_BUSY 10
#define REGNUM_TOPAZHP_CR_TOPAZHP_PREFETCH_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_PREFETCH_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP4X4_BUSY 0x00000800
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP4X4_BUSY 11
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP4X4_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP4X4_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP8X8_BUSY 0x00001000
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP8X8_BUSY 12
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP8X8_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP8X8_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP16X16_BUSY 0x00002000
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP16X16_BUSY 13
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP16X16_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP16X16_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP_BUSY 0x00004000
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP_BUSY 14
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP_BUSY 0

#define MASK_TOPAZHP_CR_TOPAZHP_CABAC_BUSY 0x00008000
#define SHIFT_TOPAZHP_CR_TOPAZHP_CABAC_BUSY 15
#define REGNUM_TOPAZHP_CR_TOPAZHP_CABAC_BUSY 0x0018
#define SIGNED_TOPAZHP_CR_TOPAZHP_CABAC_BUSY 0

/* Register CR_TOPAZHP_AUTO_CLOCK_GATING */
#define TOPAZHP_CR_TOPAZHP_AUTO_CLOCK_GATING 0x0024
#define MASK_TOPAZHP_CR_TOPAZHP_IPE0_AUTO_CLK_GATE 0x00000001
#define SHIFT_TOPAZHP_CR_TOPAZHP_IPE0_AUTO_CLK_GATE 0
#define REGNUM_TOPAZHP_CR_TOPAZHP_IPE0_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_IPE0_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_IPE1_AUTO_CLK_GATE 0x00000002
#define SHIFT_TOPAZHP_CR_TOPAZHP_IPE1_AUTO_CLK_GATE 1
#define REGNUM_TOPAZHP_CR_TOPAZHP_IPE1_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_IPE1_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_SPE0_AUTO_CLK_GATE 0x00000004
#define SHIFT_TOPAZHP_CR_TOPAZHP_SPE0_AUTO_CLK_GATE 2
#define REGNUM_TOPAZHP_CR_TOPAZHP_SPE0_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_SPE0_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_SPE1_AUTO_CLK_GATE 0x00000008
#define SHIFT_TOPAZHP_CR_TOPAZHP_SPE1_AUTO_CLK_GATE 3
#define REGNUM_TOPAZHP_CR_TOPAZHP_SPE1_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_SPE1_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP4X4_AUTO_CLK_GATE 0x00000010
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP4X4_AUTO_CLK_GATE 4
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP4X4_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP4X4_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP8X8_AUTO_CLK_GATE 0x00000020
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP8X8_AUTO_CLK_GATE 5
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP8X8_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP8X8_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP16X16_AUTO_CLK_GATE 0x00000040
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP16X16_AUTO_CLK_GATE 6
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP16X16_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP16X16_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_JMCOMP_AUTO_CLK_GATE 0x00000080
#define SHIFT_TOPAZHP_CR_TOPAZHP_JMCOMP_AUTO_CLK_GATE 7
#define REGNUM_TOPAZHP_CR_TOPAZHP_JMCOMP_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_JMCOMP_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_VLC_AUTO_CLK_GATE 0x00000200
#define SHIFT_TOPAZHP_CR_TOPAZHP_VLC_AUTO_CLK_GATE 9
#define REGNUM_TOPAZHP_CR_TOPAZHP_VLC_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_VLC_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_DEB_AUTO_CLK_GATE 0x00000400
#define SHIFT_TOPAZHP_CR_TOPAZHP_DEB_AUTO_CLK_GATE 10
#define REGNUM_TOPAZHP_CR_TOPAZHP_DEB_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_DEB_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_PC_DM_AUTO_CLK_GATE 0x00000800
#define SHIFT_TOPAZHP_CR_TOPAZHP_PC_DM_AUTO_CLK_GATE 11
#define REGNUM_TOPAZHP_CR_TOPAZHP_PC_DM_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_PC_DM_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_PC_DMS_AUTO_CLK_GATE 0x00001000
#define SHIFT_TOPAZHP_CR_TOPAZHP_PC_DMS_AUTO_CLK_GATE 12
#define REGNUM_TOPAZHP_CR_TOPAZHP_PC_DMS_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_PC_DMS_AUTO_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_CABAC_AUTO_CLK_GATE 0x00002000
#define SHIFT_TOPAZHP_CR_TOPAZHP_CABAC_AUTO_CLK_GATE 13
#define REGNUM_TOPAZHP_CR_TOPAZHP_CABAC_AUTO_CLK_GATE 0x0024
#define SIGNED_TOPAZHP_CR_TOPAZHP_CABAC_AUTO_CLK_GATE 0

/* Register CR_TOPAZHP_MAN_CLOCK_GATING */
#define TOPAZHP_CR_TOPAZHP_MAN_CLOCK_GATING 0x0028
#define MASK_TOPAZHP_CR_TOPAZHP_IPE0_MAN_CLK_GATE 0x00000001
#define SHIFT_TOPAZHP_CR_TOPAZHP_IPE0_MAN_CLK_GATE 0
#define REGNUM_TOPAZHP_CR_TOPAZHP_IPE0_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_IPE0_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_IPE1_MAN_CLK_GATE 0x00000002
#define SHIFT_TOPAZHP_CR_TOPAZHP_IPE1_MAN_CLK_GATE 1
#define REGNUM_TOPAZHP_CR_TOPAZHP_IPE1_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_IPE1_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_SPE0_MAN_CLK_GATE 0x00000004
#define SHIFT_TOPAZHP_CR_TOPAZHP_SPE0_MAN_CLK_GATE 2
#define REGNUM_TOPAZHP_CR_TOPAZHP_SPE0_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_SPE0_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_SPE1_MAN_CLK_GATE 0x00000008
#define SHIFT_TOPAZHP_CR_TOPAZHP_SPE1_MAN_CLK_GATE 3
#define REGNUM_TOPAZHP_CR_TOPAZHP_SPE1_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_SPE1_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP4X4_MAN_CLK_GATE 0x00000010
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP4X4_MAN_CLK_GATE 4
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP4X4_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP4X4_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP8X8_MAN_CLK_GATE 0x00000020
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP8X8_MAN_CLK_GATE 5
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP8X8_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP8X8_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_H264COMP16X16_MAN_CLK_GATE 0x00000040
#define SHIFT_TOPAZHP_CR_TOPAZHP_H264COMP16X16_MAN_CLK_GATE 6
#define REGNUM_TOPAZHP_CR_TOPAZHP_H264COMP16X16_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_H264COMP16X16_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_JMCOMP_MAN_CLK_GATE 0x00000080
#define SHIFT_TOPAZHP_CR_TOPAZHP_JMCOMP_MAN_CLK_GATE 7
#define REGNUM_TOPAZHP_CR_TOPAZHP_JMCOMP_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_JMCOMP_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_PREFETCH_MAN_CLK_GATE 0x00000100
#define SHIFT_TOPAZHP_CR_TOPAZHP_PREFETCH_MAN_CLK_GATE 8
#define REGNUM_TOPAZHP_CR_TOPAZHP_PREFETCH_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_PREFETCH_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_VLC_MAN_CLK_GATE 0x00000200
#define SHIFT_TOPAZHP_CR_TOPAZHP_VLC_MAN_CLK_GATE 9
#define REGNUM_TOPAZHP_CR_TOPAZHP_VLC_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_VLC_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_DEB_MAN_CLK_GATE 0x00000400
#define SHIFT_TOPAZHP_CR_TOPAZHP_DEB_MAN_CLK_GATE 10
#define REGNUM_TOPAZHP_CR_TOPAZHP_DEB_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_DEB_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_PC_DM_MAN_CLK_GATE 0x00000800
#define SHIFT_TOPAZHP_CR_TOPAZHP_PC_DM_MAN_CLK_GATE 11
#define REGNUM_TOPAZHP_CR_TOPAZHP_PC_DM_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_PC_DM_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_PC_DMS_MAN_CLK_GATE 0x00001000
#define SHIFT_TOPAZHP_CR_TOPAZHP_PC_DMS_MAN_CLK_GATE 12
#define REGNUM_TOPAZHP_CR_TOPAZHP_PC_DMS_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_PC_DMS_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_CABAC_MAN_CLK_GATE 0x00002000
#define SHIFT_TOPAZHP_CR_TOPAZHP_CABAC_MAN_CLK_GATE 13
#define REGNUM_TOPAZHP_CR_TOPAZHP_CABAC_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_CABAC_MAN_CLK_GATE 0

#define MASK_TOPAZHP_CR_TOPAZHP_LRITC_MAN_CLK_GATE 0x00004000
#define SHIFT_TOPAZHP_CR_TOPAZHP_LRITC_MAN_CLK_GATE 14
#define REGNUM_TOPAZHP_CR_TOPAZHP_LRITC_MAN_CLK_GATE 0x0028
#define SIGNED_TOPAZHP_CR_TOPAZHP_LRITC_MAN_CLK_GATE 0

/* Register CR_TOPAZHP_REQ_PRIORITY */
#define TOPAZHP_CR_TOPAZHP_REQ_PRIORITY 0x002C
#define MASK_TOPAZHP_CR_REQ_PRIORITY_THRESH 0x0000FFFF
#define SHIFT_TOPAZHP_CR_REQ_PRIORITY_THRESH 0
#define REGNUM_TOPAZHP_CR_REQ_PRIORITY_THRESH 0x002C
#define SIGNED_TOPAZHP_CR_REQ_PRIORITY_THRESH 0

#define MASK_TOPAZHP_CR_REQ_PRIORITY_DECR 0x0FFF0000
#define SHIFT_TOPAZHP_CR_REQ_PRIORITY_DECR 16
#define REGNUM_TOPAZHP_CR_REQ_PRIORITY_DECR 0x002C
#define SIGNED_TOPAZHP_CR_REQ_PRIORITY_DECR 0

/* Register CR_TOPAZHP_RTM */
#define TOPAZHP_CR_TOPAZHP_RTM      0x0030
#define MASK_TOPAZHP_CR_RTM_SELECT_A 0x00000007
#define SHIFT_TOPAZHP_CR_RTM_SELECT_A 0
#define REGNUM_TOPAZHP_CR_RTM_SELECT_A 0x0030
#define SIGNED_TOPAZHP_CR_RTM_SELECT_A 0

#define MASK_TOPAZHP_CR_RTM_SELECT_A_MODULE 0x00000078
#define SHIFT_TOPAZHP_CR_RTM_SELECT_A_MODULE 3
#define REGNUM_TOPAZHP_CR_RTM_SELECT_A_MODULE 0x0030
#define SIGNED_TOPAZHP_CR_RTM_SELECT_A_MODULE 0
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_NONE		0x0000000F		/* Output forced to 0 */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_LRITC		0x0000000E		/* LRITC module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_PERFORMANCE		0x0000000D		/* end of mb and end of pic. */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_PC_DM		0x0000000C		/* PC decision module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_H264COMP16X16		0x0000000B		/* H264COMP 16X16 module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_H264COMP8X8		0x0000000A		/* H264COMP 8X8 module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_H264COMP4X4		0x00000009		/* H264COMP 4X4 module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_SPE1		0x00000008		/* SPE 1 module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_SPE0		0x00000007		/* SPE 0 module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_DB		0x00000006		/* Deblocker module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_CABAC		0x00000005		/* CABAC module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_VLC		0x00000004		/* VLC module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_JMCOMP		0x00000003		/* JMCOMP module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_PREFETCH		0x00000002		/* PREFETCH module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_IPE1		0x00000001		/* IPE 1 module */
#define TOPAZHP_CR_RTM_SELECT_A_MODULE_IPE0		0x00000000		/* IPE 0 module */

#define MASK_TOPAZHP_CR_RTM_SELECT_B 0x00000380
#define SHIFT_TOPAZHP_CR_RTM_SELECT_B 7
#define REGNUM_TOPAZHP_CR_RTM_SELECT_B 0x0030
#define SIGNED_TOPAZHP_CR_RTM_SELECT_B 0

#define MASK_TOPAZHP_CR_RTM_SELECT_B_MODULE 0x00003C00
#define SHIFT_TOPAZHP_CR_RTM_SELECT_B_MODULE 10
#define REGNUM_TOPAZHP_CR_RTM_SELECT_B_MODULE 0x0030
#define SIGNED_TOPAZHP_CR_RTM_SELECT_B_MODULE 0
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_NONE		0x0000000F		/* Output forced to 0 */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_LRITC		0x0000000E		/* LRITC module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_PERFORMANCE		0x0000000D		/* end of mb and end of pic. */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_PC		0x0000000C		/* PC module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_H264COMP16X16		0x0000000B		/* H264COMP 16X16 module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_H264COMP8X8		0x0000000A		/* H264COMP 8X8 module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_H264COMP4X4		0x00000009		/* H264COMP 4X4 module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_SPE1		0x00000008		/* SPE 1 module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_SPE0		0x00000007		/* SPE 0 module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_DB		0x00000006		/* Deblocker module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_CABAC		0x00000005		/* CABAC module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_VLC		0x00000004		/* VLC module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_JMCOMP		0x00000003		/* JMCOMP module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_PREFETCH		0x00000002		/* PREFETCH module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_IPE1		0x00000001		/* IPE  1 module */
#define TOPAZHP_CR_RTM_SELECT_B_MODULE_IPE0		0x00000000		/* IPE  0 module */

/* Register CR_TOPAZHP_RTM_VALUE */
#define TOPAZHP_CR_TOPAZHP_RTM_VALUE 0x0034
#define MASK_TOPAZHP_CR_RTM_A       0x000000FF
#define SHIFT_TOPAZHP_CR_RTM_A      0
#define REGNUM_TOPAZHP_CR_RTM_A     0x0034
#define SIGNED_TOPAZHP_CR_RTM_A     0

#define MASK_TOPAZHP_CR_RTM_B       0x0000FF00
#define SHIFT_TOPAZHP_CR_RTM_B      8
#define REGNUM_TOPAZHP_CR_RTM_B     0x0034
#define SIGNED_TOPAZHP_CR_RTM_B     0

/* Register CR_TOPAZHP_MB_PERFORMANCE_RESULT */
#define TOPAZHP_CR_TOPAZHP_MB_PERFORMANCE_RESULT 0x0038
#define MASK_TOPAZHP_CR_TOPAZ_MB_PERFORMANCE_RESULT 0x0000FFFF
#define SHIFT_TOPAZHP_CR_TOPAZ_MB_PERFORMANCE_RESULT 0
#define REGNUM_TOPAZHP_CR_TOPAZ_MB_PERFORMANCE_RESULT 0x0038
#define SIGNED_TOPAZHP_CR_TOPAZ_MB_PERFORMANCE_RESULT 0

/* Register CR_TOPAZHP_MB_PERFORMANCE_MB_NUMBER */
#define TOPAZHP_CR_TOPAZHP_MB_PERFORMANCE_MB_NUMBER 0x003C
#define MASK_TOPAZHP_CR_TOPAZ_MB_PERFORMANCE_MB_NUM 0x0000FFFF
#define SHIFT_TOPAZHP_CR_TOPAZ_MB_PERFORMANCE_MB_NUM 0
#define REGNUM_TOPAZHP_CR_TOPAZ_MB_PERFORMANCE_MB_NUM 0x003C
#define SIGNED_TOPAZHP_CR_TOPAZ_MB_PERFORMANCE_MB_NUM 0

/* Register CR_LRITC_TILE_USE_CONFIG */
#define TOPAZHP_CR_LRITC_TILE_USE_CONFIG 0x0040
#define MASK_TOPAZHP_CR_MAX_PIC0_LUMA_TILES 0x0000003F
#define SHIFT_TOPAZHP_CR_MAX_PIC0_LUMA_TILES 0
#define REGNUM_TOPAZHP_CR_MAX_PIC0_LUMA_TILES 0x0040
#define SIGNED_TOPAZHP_CR_MAX_PIC0_LUMA_TILES 0

#define MASK_TOPAZHP_CR_MAX_PIC1_LUMA_TILES 0x00003F00
#define SHIFT_TOPAZHP_CR_MAX_PIC1_LUMA_TILES 8
#define REGNUM_TOPAZHP_CR_MAX_PIC1_LUMA_TILES 0x0040
#define SIGNED_TOPAZHP_CR_MAX_PIC1_LUMA_TILES 0

#define MASK_TOPAZHP_CR_MAX_PIC0_CHROMA_TILES 0x003F0000
#define SHIFT_TOPAZHP_CR_MAX_PIC0_CHROMA_TILES 16
#define REGNUM_TOPAZHP_CR_MAX_PIC0_CHROMA_TILES 0x0040
#define SIGNED_TOPAZHP_CR_MAX_PIC0_CHROMA_TILES 0

#define MASK_TOPAZHP_CR_MAX_PIC1_CHROMA_TILES 0x3F000000
#define SHIFT_TOPAZHP_CR_MAX_PIC1_CHROMA_TILES 24
#define REGNUM_TOPAZHP_CR_MAX_PIC1_CHROMA_TILES 0x0040
#define SIGNED_TOPAZHP_CR_MAX_PIC1_CHROMA_TILES 0

/* Register CR_LRITC_TILE_USE_STATUS */
#define TOPAZHP_CR_LRITC_TILE_USE_STATUS 0x0048
#define MASK_TOPAZHP_CR_PIC0_LUMA_TILES 0x0000003F
#define SHIFT_TOPAZHP_CR_PIC0_LUMA_TILES 0
#define REGNUM_TOPAZHP_CR_PIC0_LUMA_TILES 0x0048
#define SIGNED_TOPAZHP_CR_PIC0_LUMA_TILES 0

#define MASK_TOPAZHP_CR_PIC1_LUMA_TILES 0x00003F00
#define SHIFT_TOPAZHP_CR_PIC1_LUMA_TILES 8
#define REGNUM_TOPAZHP_CR_PIC1_LUMA_TILES 0x0048
#define SIGNED_TOPAZHP_CR_PIC1_LUMA_TILES 0

#define MASK_TOPAZHP_CR_PIC0_CHROMA_TILES 0x003F0000
#define SHIFT_TOPAZHP_CR_PIC0_CHROMA_TILES 16
#define REGNUM_TOPAZHP_CR_PIC0_CHROMA_TILES 0x0048
#define SIGNED_TOPAZHP_CR_PIC0_CHROMA_TILES 0

#define MASK_TOPAZHP_CR_PIC1_CHROMA_TILES 0x3F000000
#define SHIFT_TOPAZHP_CR_PIC1_CHROMA_TILES 24
#define REGNUM_TOPAZHP_CR_PIC1_CHROMA_TILES 0x0048
#define SIGNED_TOPAZHP_CR_PIC1_CHROMA_TILES 0

/* Register CR_LRITC_SIGNATURE_ADDR */
#define TOPAZHP_CR_LRITC_SIGNATURE_ADDR 0x0058
#define MASK_TOPAZHP_CR_LRITC_SIGNATURE_ADDR 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_LRITC_SIGNATURE_ADDR 0
#define REGNUM_TOPAZHP_CR_LRITC_SIGNATURE_ADDR 0x0058
#define SIGNED_TOPAZHP_CR_LRITC_SIGNATURE_ADDR 0

/* Register CR_LRITC_SIGNATURE_RDATA */
#define TOPAZHP_CR_LRITC_SIGNATURE_RDATA 0x005C
#define MASK_TOPAZHP_CR_LRITC_SIGNATURE_RDATA 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_LRITC_SIGNATURE_RDATA 0
#define REGNUM_TOPAZHP_CR_LRITC_SIGNATURE_RDATA 0x005C
#define SIGNED_TOPAZHP_CR_LRITC_SIGNATURE_RDATA 0

/* Register CR_MEM_SIGNATURE_CONTROL */
#define TOPAZHP_CR_MEM_SIGNATURE_CONTROL 0x0060
#define MASK_TOPAZHP_CR_SIGNATURE_WDATA_SEL 0x0000000F
#define SHIFT_TOPAZHP_CR_SIGNATURE_WDATA_SEL 0
#define REGNUM_TOPAZHP_CR_SIGNATURE_WDATA_SEL 0x0060
#define SIGNED_TOPAZHP_CR_SIGNATURE_WDATA_SEL 0
#define TOPAZHP_CR_SIGNATURE_WDATA_SEL_ABOVE_CHROMA_WR		0x0000000B		/* Above reconstructed chroma write to host memory */
#define TOPAZHP_CR_SIGNATURE_WDATA_SEL_ABOVE_LUMA_WR		0x0000000A		/* Above reconstructed luma write to host memory */
#define TOPAZHP_CR_SIGNATURE_WDATA_SEL_RECON_CHROMA_WR		0x00000009		/* Reconstructed Chroma write to host memory */
#define TOPAZHP_CR_SIGNATURE_WDATA_SEL_RECON_LUMA_WR		0x00000008		/* Reconstructed Luma write to host memory */
#define TOPAZHP_CR_SIGNATURE_WDATA_SEL_ABOVE_SEC_B_WR		0x00000007		/* Above params section B write to host memory */
#define TOPAZHP_CR_SIGNATURE_WDATA_SEL_ABOVE_SEC_A_WR		0x00000006		/* Above params section A write to host memory */
#define TOPAZHP_CR_SIGNATURE_WDATA_SEL_TEMP_PIC1_BE_WR		0x00000004		/* Temporal picture 1 below MV write */
#define TOPAZHP_CR_SIGNATURE_WDATA_SEL_TEMP_PIC0_BE_WR		0x00000002		/* Temporal picture 0 below MV write */
#define TOPAZHP_CR_SIGNATURE_WDATA_SEL_TEMP_CO_WR		0x00000001		/* Temporal co-located MV write to host memory */
#define TOPAZHP_CR_SIGNATURE_WDATA_SEL_DMA_2D_WR		0x00000000		/* ESB to host memory DMA engine transfers */

#define MASK_TOPAZHP_CR_SIGNATURE_WDATA_INIT 0x00000010
#define SHIFT_TOPAZHP_CR_SIGNATURE_WDATA_INIT 4
#define REGNUM_TOPAZHP_CR_SIGNATURE_WDATA_INIT 0x0060
#define SIGNED_TOPAZHP_CR_SIGNATURE_WDATA_INIT 0

#define MASK_TOPAZHP_CR_SIGNATURE_RDATA_SEL 0x00000F00
#define SHIFT_TOPAZHP_CR_SIGNATURE_RDATA_SEL 8
#define REGNUM_TOPAZHP_CR_SIGNATURE_RDATA_SEL 0x0060
#define SIGNED_TOPAZHP_CR_SIGNATURE_RDATA_SEL 0
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_ABOVE_CHROMA_RD		0x0000000B		/* Chroma read from row above in reconstructed frame */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_ABOVE_LUMA_RD		0x0000000A		/* Luma read from row above in reconstructed frame */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_CUR_CHROMA_RD		0x00000009		/* Chroma read from frame to encode */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_CUR_LUMA_RD		0x00000008		/* Luma read from frame to encode */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_ABOVE_SEC_B_RD		0x00000007		/* Above params section B read from host memory */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_ABOVE_SEC_A_RD		0x00000006		/* Above params section A read from host memory */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_TEMP_PIC1_BE2_RD		0x00000005		/* Temporal picture 1 below 2 MV read */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_TEMP_PIC1_BE1_RD		0x00000004		/* Temporal picture 1 below 1 MV read */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_TEMP_PIC0_BE2_RD		0x00000003		/* Temporal picture 0 below 2 MV read */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_TEMP_PIC0_BE1_RD		0x00000002		/* Temporal picture 0 below 1 MV read */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_TEMP_CO_RD		0x00000001		/* Temporal co-located MV read from host memory */
#define TOPAZHP_CR_SIGNATURE_RDATA_SEL_DMA_2D_RD		0x00000000		/* Host memory to ESB DMA engine transfers */

#define MASK_TOPAZHP_CR_SIGNATURE_RDATA_INIT 0x00001000
#define SHIFT_TOPAZHP_CR_SIGNATURE_RDATA_INIT 12
#define REGNUM_TOPAZHP_CR_SIGNATURE_RDATA_INIT 0x0060
#define SIGNED_TOPAZHP_CR_SIGNATURE_RDATA_INIT 0

#define MASK_TOPAZHP_CR_SIGNATURE_ADDR_SEL 0x001F0000
#define SHIFT_TOPAZHP_CR_SIGNATURE_ADDR_SEL 16
#define REGNUM_TOPAZHP_CR_SIGNATURE_ADDR_SEL 0x0060
#define SIGNED_TOPAZHP_CR_SIGNATURE_ADDR_SEL 0

#define MASK_TOPAZHP_CR_SIGNATURE_ADDR_INIT 0x00200000
#define SHIFT_TOPAZHP_CR_SIGNATURE_ADDR_INIT 21
#define REGNUM_TOPAZHP_CR_SIGNATURE_ADDR_INIT 0x0060
#define SIGNED_TOPAZHP_CR_SIGNATURE_ADDR_INIT 0

/* Register CR_MEM_SIGNATURE_ENC_WDATA */
#define TOPAZHP_CR_MEM_SIGNATURE_ENC_WDATA 0x0064
#define MASK_TOPAZHP_CR_MEM_SIGNATURE_ENC_WDATA 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_MEM_SIGNATURE_ENC_WDATA 0
#define REGNUM_TOPAZHP_CR_MEM_SIGNATURE_ENC_WDATA 0x0064
#define SIGNED_TOPAZHP_CR_MEM_SIGNATURE_ENC_WDATA 0

/* Register CR_MEM_SIGNATURE_ENC_RDATA */
#define TOPAZHP_CR_MEM_SIGNATURE_ENC_RDATA 0x0068
#define MASK_TOPAZHP_CR_MEM_SIGNATURE_ENC_RDATA 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_MEM_SIGNATURE_ENC_RDATA 0
#define REGNUM_TOPAZHP_CR_MEM_SIGNATURE_ENC_RDATA 0x0068
#define SIGNED_TOPAZHP_CR_MEM_SIGNATURE_ENC_RDATA 0

/* Register CR_MEM_SIGNATURE_ENC_ADDR */
#define TOPAZHP_CR_MEM_SIGNATURE_ENC_ADDR 0x006C
#define MASK_TOPAZHP_CR_MEM_SIGNATURE_ENC_ADDR 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_MEM_SIGNATURE_ENC_ADDR 0
#define REGNUM_TOPAZHP_CR_MEM_SIGNATURE_ENC_ADDR 0x006C
#define SIGNED_TOPAZHP_CR_MEM_SIGNATURE_ENC_ADDR 0

/* Register CR_PREFETCH_LRITC_SIGNATURE */
#define TOPAZHP_CR_PREFETCH_LRITC_SIGNATURE 0x0070
#define MASK_TOPAZHP_CR_PREFETCH_LRITC_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PREFETCH_LRITC_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_PREFETCH_LRITC_SIGNATURE 0x0070
#define SIGNED_TOPAZHP_CR_PREFETCH_LRITC_SIGNATURE 0

/* Register CR_PROC_DMA_CONTROL */
#define TOPAZHP_CR_PROC_DMA_CONTROL 0x00E0
#define MASK_TOPAZHP_CR_DMA_FORMAT  0x00000007
#define SHIFT_TOPAZHP_CR_DMA_FORMAT 0
#define REGNUM_TOPAZHP_CR_DMA_FORMAT 0x00E0
#define SIGNED_TOPAZHP_CR_DMA_FORMAT 0
#define TOPAZHP_CR_DMA_FORMAT_UYVY		0x00000005		/* Interleaved luma and chroma (chroma first) */
#define TOPAZHP_CR_DMA_FORMAT_YUYV		0x00000004		/* Interleaved luma and chroma (luma first) */
#define TOPAZHP_CR_DMA_FORMAT_CHROMA_UV		0x00000002		/* 2-D fetch of interleaved chroma */
#define TOPAZHP_CR_DMA_FORMAT_2D_PLANE		0x00000001		/* 2-D fetch (luma plane) */
#define TOPAZHP_CR_DMA_FORMAT_LINEAR		0x00000000		/* 1-D fetch */

#define MASK_TOPAZHP_CR_DMA_SIZE    0x0000FF00
#define SHIFT_TOPAZHP_CR_DMA_SIZE   8
#define REGNUM_TOPAZHP_CR_DMA_SIZE  0x00E0
#define SIGNED_TOPAZHP_CR_DMA_SIZE  0

#define MASK_TOPAZHP_CR_DMA_ESB_ADDR 0x00FF0000
#define SHIFT_TOPAZHP_CR_DMA_ESB_ADDR 16
#define REGNUM_TOPAZHP_CR_DMA_ESB_ADDR 0x00E0
#define SIGNED_TOPAZHP_CR_DMA_ESB_ADDR 0

#define MASK_TOPAZHP_CR_DMA_READ_NWRITE 0x01000000
#define SHIFT_TOPAZHP_CR_DMA_READ_NWRITE 24
#define REGNUM_TOPAZHP_CR_DMA_READ_NWRITE 0x00E0
#define SIGNED_TOPAZHP_CR_DMA_READ_NWRITE 0

#define MASK_TOPAZHP_CR_DMA_SYS_ADDR_SEL 0x02000000
#define SHIFT_TOPAZHP_CR_DMA_SYS_ADDR_SEL 25
#define REGNUM_TOPAZHP_CR_DMA_SYS_ADDR_SEL 0x00E0
#define SIGNED_TOPAZHP_CR_DMA_SYS_ADDR_SEL 0

/* Register CR_PROC_DMA_STATUS */
#define TOPAZHP_CR_PROC_DMA_STATUS  0x00E4
#define MASK_TOPAZHP_CR_DMA_FORMAT_STATUS 0x00000007
#define SHIFT_TOPAZHP_CR_DMA_FORMAT_STATUS 0
#define REGNUM_TOPAZHP_CR_DMA_FORMAT_STATUS 0x00E4
#define SIGNED_TOPAZHP_CR_DMA_FORMAT_STATUS 0
#define TOPAZHP_CR_DMA_FORMAT_STATUS_UYVY		0x00000005		/* Interleaved luma and chroma (chroma first) */
#define TOPAZHP_CR_DMA_FORMAT_STATUS_YUYV		0x00000004		/* Interleaved luma and chroma (luma first) */
#define TOPAZHP_CR_DMA_FORMAT_STATUS_CHROMA_UV		0x00000002		/* 2-D fetch of interleaved chroma */
#define TOPAZHP_CR_DMA_FORMAT_STATUS_2D_PLANE		0x00000001		/* 2-D fetch (luma plane) */
#define TOPAZHP_CR_DMA_FORMAT_STATUS_LINEAR		0x00000000		/* 1-D fetch */

#define MASK_TOPAZHP_CR_DMA_SIZE_STATUS 0x0000FF00
#define SHIFT_TOPAZHP_CR_DMA_SIZE_STATUS 8
#define REGNUM_TOPAZHP_CR_DMA_SIZE_STATUS 0x00E4
#define SIGNED_TOPAZHP_CR_DMA_SIZE_STATUS 0

#define MASK_TOPAZHP_CR_DMA_ESB_ADDR_STATUS 0x00FF0000
#define SHIFT_TOPAZHP_CR_DMA_ESB_ADDR_STATUS 16
#define REGNUM_TOPAZHP_CR_DMA_ESB_ADDR_STATUS 0x00E4
#define SIGNED_TOPAZHP_CR_DMA_ESB_ADDR_STATUS 0

#define MASK_TOPAZHP_CR_DMA_READ_NWRITE_STATUS 0x01000000
#define SHIFT_TOPAZHP_CR_DMA_READ_NWRITE_STATUS 24
#define REGNUM_TOPAZHP_CR_DMA_READ_NWRITE_STATUS 0x00E4
#define SIGNED_TOPAZHP_CR_DMA_READ_NWRITE_STATUS 0

#define MASK_TOPAZHP_CR_DMA_SYS_ADDR_SEL_STATUS 0x02000000
#define SHIFT_TOPAZHP_CR_DMA_SYS_ADDR_SEL_STATUS 25
#define REGNUM_TOPAZHP_CR_DMA_SYS_ADDR_SEL_STATUS 0x00E4
#define SIGNED_TOPAZHP_CR_DMA_SYS_ADDR_SEL_STATUS 0

/* Register CR_PROC_ESB_ACCESS_CONTROL */
#define TOPAZHP_CR_PROC_ESB_ACCESS_CONTROL 0x00EC
#define MASK_TOPAZHP_CR_PROC_ESB_ADDR 0x00003FF0
#define SHIFT_TOPAZHP_CR_PROC_ESB_ADDR 4
#define REGNUM_TOPAZHP_CR_PROC_ESB_ADDR 0x00EC
#define SIGNED_TOPAZHP_CR_PROC_ESB_ADDR 0

#define MASK_TOPAZHP_CR_PROC_ESB_READ_N_WRITE 0x00010000
#define SHIFT_TOPAZHP_CR_PROC_ESB_READ_N_WRITE 16
#define REGNUM_TOPAZHP_CR_PROC_ESB_READ_N_WRITE 0x00EC
#define SIGNED_TOPAZHP_CR_PROC_ESB_READ_N_WRITE 0

#define MASK_TOPAZHP_CR_PROC_ESB_OP_VALID 0x00020000
#define SHIFT_TOPAZHP_CR_PROC_ESB_OP_VALID 17
#define REGNUM_TOPAZHP_CR_PROC_ESB_OP_VALID 0x00EC
#define SIGNED_TOPAZHP_CR_PROC_ESB_OP_VALID 0

#define MASK_TOPAZHP_CR_PROC_ACCESS_FLAG 0x03000000
#define SHIFT_TOPAZHP_CR_PROC_ACCESS_FLAG 24
#define REGNUM_TOPAZHP_CR_PROC_ACCESS_FLAG 0x00EC
#define SIGNED_TOPAZHP_CR_PROC_ACCESS_FLAG 0

/* Register CR_PROC_ESB_ACCESS_WORD0 */
#define TOPAZHP_CR_PROC_ESB_ACCESS_WORD0 0x00F0
#define MASK_TOPAZHP_CR_PROC_ESB_WORD0 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PROC_ESB_WORD0 0
#define REGNUM_TOPAZHP_CR_PROC_ESB_WORD0 0x00F0
#define SIGNED_TOPAZHP_CR_PROC_ESB_WORD0 0

/* Register CR_PROC_ESB_ACCESS_WORD1 */
#define TOPAZHP_CR_PROC_ESB_ACCESS_WORD1 0x00F4
#define MASK_TOPAZHP_CR_PROC_ESB_WORD1 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PROC_ESB_WORD1 0
#define REGNUM_TOPAZHP_CR_PROC_ESB_WORD1 0x00F4
#define SIGNED_TOPAZHP_CR_PROC_ESB_WORD1 0

/* Register CR_PROC_ESB_ACCESS_WORD2 */
#define TOPAZHP_CR_PROC_ESB_ACCESS_WORD2 0x00F8
#define MASK_TOPAZHP_CR_PROC_ESB_WORD2 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PROC_ESB_WORD2 0
#define REGNUM_TOPAZHP_CR_PROC_ESB_WORD2 0x00F8
#define SIGNED_TOPAZHP_CR_PROC_ESB_WORD2 0

/* Register CR_PROC_ESB_ACCESS_WORD3 */
#define TOPAZHP_CR_PROC_ESB_ACCESS_WORD3 0x00FC
#define MASK_TOPAZHP_CR_PROC_ESB_WORD3 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PROC_ESB_WORD3 0
#define REGNUM_TOPAZHP_CR_PROC_ESB_WORD3 0x00FC
#define SIGNED_TOPAZHP_CR_PROC_ESB_WORD3 0

/* Register CR_SEQ_CUR_PIC_LUMA_BASE_ADDR */
#define TOPAZHP_CR_SEQ_CUR_PIC_LUMA_BASE_ADDR 0x0100
#define MASK_TOPAZHP_CR_CUR_PIC_LUMA_BASE_ADDR 0xFFFFFFF0
#define SHIFT_TOPAZHP_CR_CUR_PIC_LUMA_BASE_ADDR 4
#define REGNUM_TOPAZHP_CR_CUR_PIC_LUMA_BASE_ADDR 0x0100
#define SIGNED_TOPAZHP_CR_CUR_PIC_LUMA_BASE_ADDR 0

/* Register CR_SEQ_CUR_PIC_CB_BASE_ADDR */
#define TOPAZHP_CR_SEQ_CUR_PIC_CB_BASE_ADDR 0x0104
#define MASK_TOPAZHP_CR_CUR_PIC_CB_BASE_ADDR 0xFFFFFFF0
#define SHIFT_TOPAZHP_CR_CUR_PIC_CB_BASE_ADDR 4
#define REGNUM_TOPAZHP_CR_CUR_PIC_CB_BASE_ADDR 0x0104
#define SIGNED_TOPAZHP_CR_CUR_PIC_CB_BASE_ADDR 0

/* Register CR_SEQ_CUR_PIC_CR_BASE_ADDR */
#define TOPAZHP_CR_SEQ_CUR_PIC_CR_BASE_ADDR 0x0108
#define MASK_TOPAZHP_CR_CUR_PIC_CR_BASE_ADDR 0xFFFFFFF0
#define SHIFT_TOPAZHP_CR_CUR_PIC_CR_BASE_ADDR 4
#define REGNUM_TOPAZHP_CR_CUR_PIC_CR_BASE_ADDR 0x0108
#define SIGNED_TOPAZHP_CR_CUR_PIC_CR_BASE_ADDR 0

/* Register CR_SEQ_CUR_PIC_ROW_STRIDE */
#define TOPAZHP_CR_SEQ_CUR_PIC_ROW_STRIDE 0x010C
#define MASK_TOPAZHP_CR_CUR_PIC_LUMA_STRIDE 0x0000FFC0
#define SHIFT_TOPAZHP_CR_CUR_PIC_LUMA_STRIDE 6
#define REGNUM_TOPAZHP_CR_CUR_PIC_LUMA_STRIDE 0x010C
#define SIGNED_TOPAZHP_CR_CUR_PIC_LUMA_STRIDE 0

#define MASK_TOPAZHP_CR_CUR_PIC_CHROMA_STRIDE 0xFFC00000
#define SHIFT_TOPAZHP_CR_CUR_PIC_CHROMA_STRIDE 22
#define REGNUM_TOPAZHP_CR_CUR_PIC_CHROMA_STRIDE 0x010C
#define SIGNED_TOPAZHP_CR_CUR_PIC_CHROMA_STRIDE 0

/* Register CR_SEQ_REF_PIC0_LUMA_BASE_ADDR */
#define TOPAZHP_CR_SEQ_REF_PIC0_LUMA_BASE_ADDR 0x0110
#define MASK_TOPAZHP_CR_REF_PIC0_LUMA_BASE_ADDR 0xFFFFFF00
#define SHIFT_TOPAZHP_CR_REF_PIC0_LUMA_BASE_ADDR 8
#define REGNUM_TOPAZHP_CR_REF_PIC0_LUMA_BASE_ADDR 0x0110
#define SIGNED_TOPAZHP_CR_REF_PIC0_LUMA_BASE_ADDR 0

/* Register CR_SEQ_REF_PIC0_CHROMA_BASE_ADDR */
#define TOPAZHP_CR_SEQ_REF_PIC0_CHROMA_BASE_ADDR 0x0114
#define MASK_TOPAZHP_CR_REF_PIC0_CHROMA_BASE_ADDR 0xFFFFFF00
#define SHIFT_TOPAZHP_CR_REF_PIC0_CHROMA_BASE_ADDR 8
#define REGNUM_TOPAZHP_CR_REF_PIC0_CHROMA_BASE_ADDR 0x0114
#define SIGNED_TOPAZHP_CR_REF_PIC0_CHROMA_BASE_ADDR 0

/* Register CR_SEQ_REF_PIC1_LUMA_BASE_ADDR */
#define TOPAZHP_CR_SEQ_REF_PIC1_LUMA_BASE_ADDR 0x0118
#define MASK_TOPAZHP_CR_REF_PIC1_LUMA_BASE_ADDR 0xFFFFFF00
#define SHIFT_TOPAZHP_CR_REF_PIC1_LUMA_BASE_ADDR 8
#define REGNUM_TOPAZHP_CR_REF_PIC1_LUMA_BASE_ADDR 0x0118
#define SIGNED_TOPAZHP_CR_REF_PIC1_LUMA_BASE_ADDR 0

/* Register CR_SEQ_REF_PIC1_CHROMA_BASE_ADDR */
#define TOPAZHP_CR_SEQ_REF_PIC1_CHROMA_BASE_ADDR 0x011C
#define MASK_TOPAZHP_CR_REF_PIC1_CHROMA_BASE_ADDR 0xFFFFFF00
#define SHIFT_TOPAZHP_CR_REF_PIC1_CHROMA_BASE_ADDR 8
#define REGNUM_TOPAZHP_CR_REF_PIC1_CHROMA_BASE_ADDR 0x011C
#define SIGNED_TOPAZHP_CR_REF_PIC1_CHROMA_BASE_ADDR 0

/* Register CR_SEQ_CUR_PIC_CONFIG */
#define TOPAZHP_CR_SEQ_CUR_PIC_CONFIG 0x0120
#define MASK_TOPAZHP_CR_SEQ_CUR_PIC_EXT_FETCH 0x00000001
#define SHIFT_TOPAZHP_CR_SEQ_CUR_PIC_EXT_FETCH 0
#define REGNUM_TOPAZHP_CR_SEQ_CUR_PIC_EXT_FETCH 0x0120
#define SIGNED_TOPAZHP_CR_SEQ_CUR_PIC_EXT_FETCH 0

#define MASK_TOPAZHP_CR_CUR_TRANSPOSE 0x00000010
#define SHIFT_TOPAZHP_CR_CUR_TRANSPOSE 4
#define REGNUM_TOPAZHP_CR_CUR_TRANSPOSE 0x0120
#define SIGNED_TOPAZHP_CR_CUR_TRANSPOSE 0

#define MASK_TOPAZHP_CR_CUR_HORIZONTAL_MIRROR 0x00000020
#define SHIFT_TOPAZHP_CR_CUR_HORIZONTAL_MIRROR 5
#define REGNUM_TOPAZHP_CR_CUR_HORIZONTAL_MIRROR 0x0120
#define SIGNED_TOPAZHP_CR_CUR_HORIZONTAL_MIRROR 0

#define MASK_TOPAZHP_CR_CUR_VERTICAL_MIRROR 0x00000040
#define SHIFT_TOPAZHP_CR_CUR_VERTICAL_MIRROR 6
#define REGNUM_TOPAZHP_CR_CUR_VERTICAL_MIRROR 0x0120
#define SIGNED_TOPAZHP_CR_CUR_VERTICAL_MIRROR 0

/* Register CR_SEQ_CUR_PIC_SIZE */
#define TOPAZHP_CR_SEQ_CUR_PIC_SIZE 0x0124
#define MASK_TOPAZHP_CR_CUR_PIC_WIDTH_MBS_MIN1 0x000000FF
#define SHIFT_TOPAZHP_CR_CUR_PIC_WIDTH_MBS_MIN1 0
#define REGNUM_TOPAZHP_CR_CUR_PIC_WIDTH_MBS_MIN1 0x0124
#define SIGNED_TOPAZHP_CR_CUR_PIC_WIDTH_MBS_MIN1 0

#define MASK_TOPAZHP_CR_CUR_PIC_HEIGHT_MBS_MIN1 0x00FF0000
#define SHIFT_TOPAZHP_CR_CUR_PIC_HEIGHT_MBS_MIN1 16
#define REGNUM_TOPAZHP_CR_CUR_PIC_HEIGHT_MBS_MIN1 0x0124
#define SIGNED_TOPAZHP_CR_CUR_PIC_HEIGHT_MBS_MIN1 0

/* Register CR_SEQ_RECON_LUMA_BASE_ADDR */
#define TOPAZHP_CR_SEQ_RECON_LUMA_BASE_ADDR 0x0128
#define MASK_TOPAZHP_CR_RECON_LUMA_BASE_ADDR 0xFFFFFF00
#define SHIFT_TOPAZHP_CR_RECON_LUMA_BASE_ADDR 8
#define REGNUM_TOPAZHP_CR_RECON_LUMA_BASE_ADDR 0x0128
#define SIGNED_TOPAZHP_CR_RECON_LUMA_BASE_ADDR 0

/* Register CR_SEQ_RECON_CHROMA_BASE_ADDR */
#define TOPAZHP_CR_SEQ_RECON_CHROMA_BASE_ADDR 0x012C
#define MASK_TOPAZHP_CR_RECON_CHROMA_BASE_ADDR 0xFFFFFF00
#define SHIFT_TOPAZHP_CR_RECON_CHROMA_BASE_ADDR 8
#define REGNUM_TOPAZHP_CR_RECON_CHROMA_BASE_ADDR 0x012C
#define SIGNED_TOPAZHP_CR_RECON_CHROMA_BASE_ADDR 0

/* Register CR_SEQ_ABOVE_PARAM_BASE_ADDR */
#define TOPAZHP_CR_SEQ_ABOVE_PARAM_BASE_ADDR 0x0130
#define MASK_TOPAZHP_CR_ABOVE_PARAM_BASE_ADDR 0xFFFFFFC0
#define SHIFT_TOPAZHP_CR_ABOVE_PARAM_BASE_ADDR 6
#define REGNUM_TOPAZHP_CR_ABOVE_PARAM_BASE_ADDR 0x0130
#define SIGNED_TOPAZHP_CR_ABOVE_PARAM_BASE_ADDR 0

/* Register CR_SEQ_TEMPORAL_COLOCATED_IN_ADDR */
#define TOPAZHP_CR_SEQ_TEMPORAL_COLOCATED_IN_ADDR 0x0134
#define MASK_TOPAZHP_CR_TEMPORAL_COLOC_IN_ADDR 0xFFFFFFC0
#define SHIFT_TOPAZHP_CR_TEMPORAL_COLOC_IN_ADDR 6
#define REGNUM_TOPAZHP_CR_TEMPORAL_COLOC_IN_ADDR 0x0134
#define SIGNED_TOPAZHP_CR_TEMPORAL_COLOC_IN_ADDR 0

/* Register CR_SEQ_TEMPORAL_PIC0_MV_IN_ADDR */
#define TOPAZHP_CR_SEQ_TEMPORAL_PIC0_MV_IN_ADDR 0x0138
#define MASK_TOPAZHP_CR_TEMPORAL_PIC0_IN_ADDR 0xFFFFFFC0
#define SHIFT_TOPAZHP_CR_TEMPORAL_PIC0_IN_ADDR 6
#define REGNUM_TOPAZHP_CR_TEMPORAL_PIC0_IN_ADDR 0x0138
#define SIGNED_TOPAZHP_CR_TEMPORAL_PIC0_IN_ADDR 0

/* Register CR_SEQ_TEMPORAL_PIC1_MV_IN_ADDR */
#define TOPAZHP_CR_SEQ_TEMPORAL_PIC1_MV_IN_ADDR 0x013C
#define MASK_TOPAZHP_CR_TEMPORAL_PIC1_IN_ADDR 0xFFFFFFC0
#define SHIFT_TOPAZHP_CR_TEMPORAL_PIC1_IN_ADDR 6
#define REGNUM_TOPAZHP_CR_TEMPORAL_PIC1_IN_ADDR 0x013C
#define SIGNED_TOPAZHP_CR_TEMPORAL_PIC1_IN_ADDR 0

/* Register CR_SEQ_TEMPORAL_COLOCATED_OUT_ADDR */
#define TOPAZHP_CR_SEQ_TEMPORAL_COLOCATED_OUT_ADDR 0x0140
#define MASK_TOPAZHP_CR_TEMPORAL_COLOC_OUT_ADDR 0xFFFFFFC0
#define SHIFT_TOPAZHP_CR_TEMPORAL_COLOC_OUT_ADDR 6
#define REGNUM_TOPAZHP_CR_TEMPORAL_COLOC_OUT_ADDR 0x0140
#define SIGNED_TOPAZHP_CR_TEMPORAL_COLOC_OUT_ADDR 0

/* Register CR_SEQ_TEMPORAL_PIC0_MV_OUT_ADDR */
#define TOPAZHP_CR_SEQ_TEMPORAL_PIC0_MV_OUT_ADDR 0x0144
#define MASK_TOPAZHP_CR_TEMPORAL_PIC0_OUT_ADDR 0xFFFFFFC0
#define SHIFT_TOPAZHP_CR_TEMPORAL_PIC0_OUT_ADDR 6
#define REGNUM_TOPAZHP_CR_TEMPORAL_PIC0_OUT_ADDR 0x0144
#define SIGNED_TOPAZHP_CR_TEMPORAL_PIC0_OUT_ADDR 0

/* Register CR_SEQ_TEMPORAL_PIC1_MV_OUT_ADDR */
#define TOPAZHP_CR_SEQ_TEMPORAL_PIC1_MV_OUT_ADDR 0x0148
#define MASK_TOPAZHP_CR_TEMPORAL_PIC1_OUT_ADDR 0xFFFFFFC0
#define SHIFT_TOPAZHP_CR_TEMPORAL_PIC1_OUT_ADDR 6
#define REGNUM_TOPAZHP_CR_TEMPORAL_PIC1_OUT_ADDR 0x0148
#define SIGNED_TOPAZHP_CR_TEMPORAL_PIC1_OUT_ADDR 0

/* Register CR_SEQ_MB_FIRST_STAGE_OUT_ADDR */
#define TOPAZHP_CR_SEQ_MB_FIRST_STAGE_OUT_ADDR 0x014C
#define MASK_TOPAZHP_CR_MB_FIRST_STAGE_OUT_ADDR 0xFFFFFFC0
#define SHIFT_TOPAZHP_CR_MB_FIRST_STAGE_OUT_ADDR 6
#define REGNUM_TOPAZHP_CR_MB_FIRST_STAGE_OUT_ADDR 0x014C
#define SIGNED_TOPAZHP_CR_MB_FIRST_STAGE_OUT_ADDR 0

/* Register CR_SEQ_MB_CONTROL_IN_ADDR */
#define TOPAZHP_CR_SEQ_MB_CONTROL_IN_ADDR 0x0150
#define MASK_TOPAZHP_CR_MB_CONTROL_IN_ADDR 0xFFFFFFC0
#define SHIFT_TOPAZHP_CR_MB_CONTROL_IN_ADDR 6
#define REGNUM_TOPAZHP_CR_MB_CONTROL_IN_ADDR 0x0150
#define SIGNED_TOPAZHP_CR_MB_CONTROL_IN_ADDR 0

/* Register CR_SEQUENCER_CONFIG */
#define TOPAZHP_CR_SEQUENCER_CONFIG 0x0154
#define MASK_TOPAZHP_CR_ENCODER_STANDARD 0x00000007
#define SHIFT_TOPAZHP_CR_ENCODER_STANDARD 0
#define REGNUM_TOPAZHP_CR_ENCODER_STANDARD 0x0154
#define SIGNED_TOPAZHP_CR_ENCODER_STANDARD 0
#define TOPAZHP_CR_ENCODER_STANDARD_MPEG2		0x00000004		/* Mpeg2 encode - experimental */
#define TOPAZHP_CR_ENCODER_STANDARD_JPEG		0x00000003		/* JPEG encode */
#define TOPAZHP_CR_ENCODER_STANDARD_H264		0x00000002		/* H264 encode */
#define TOPAZHP_CR_ENCODER_STANDARD_MPEG4		0x00000001		/* MPEG4 encode */
#define TOPAZHP_CR_ENCODER_STANDARD_H263		0x00000000		/* H263 encode */

#define MASK_TOPAZHP_CR_FRAME_STORE_FORMAT 0x00000030
#define SHIFT_TOPAZHP_CR_FRAME_STORE_FORMAT 4
#define REGNUM_TOPAZHP_CR_FRAME_STORE_FORMAT 0x0154
#define SIGNED_TOPAZHP_CR_FRAME_STORE_FORMAT 0
#define TOPAZHP_CR_FRAME_STORE_FORMAT_UYVY		0x00000003		/* 4:2:2 frame, with Luma, Cb and Cr all interleaved (hardware will decimate
 chroma to encode 4:2:0 chroma) */
#define TOPAZHP_CR_FRAME_STORE_FORMAT_YUYV		0x00000002		/* 4:2:2 frame, with Luma, Cb and Cr all interleaved (hardware will decimate
 chroma to encode 4:2:0 chroma) */
#define TOPAZHP_CR_FRAME_STORE_FORMAT_420PL12YUV		0x00000001		/* 4:2:0 frame, with Chroma in single interleaved plane (if the frame store
 actually contains 4:2:2 chroma, the chroma stride can be doubled so that it is read as 4:2:0) */
#define TOPAZHP_CR_FRAME_STORE_FORMAT_420PL8YUV		0x00000000		/* 4:2:0 frame, with Luma, Cb and Cr all in separate planes (if the frame
 store actually contains 4:2:2 chroma, the chroma stride can be doubled so that it is read as 4:2:0) */

#define MASK_TOPAZHP_CR_FRAME_STORE_CHROMA_SWAP 0x00000040
#define SHIFT_TOPAZHP_CR_FRAME_STORE_CHROMA_SWAP 6
#define REGNUM_TOPAZHP_CR_FRAME_STORE_CHROMA_SWAP 0x0154
#define SIGNED_TOPAZHP_CR_FRAME_STORE_CHROMA_SWAP 0

#define MASK_TOPAZHP_CR_FIELD_MODE  0x00000080
#define SHIFT_TOPAZHP_CR_FIELD_MODE 7
#define REGNUM_TOPAZHP_CR_FIELD_MODE 0x0154
#define SIGNED_TOPAZHP_CR_FIELD_MODE 0

#define MASK_TOPAZHP_CR_REF_PIC0_VALID 0x00000100
#define SHIFT_TOPAZHP_CR_REF_PIC0_VALID 8
#define REGNUM_TOPAZHP_CR_REF_PIC0_VALID 0x0154
#define SIGNED_TOPAZHP_CR_REF_PIC0_VALID 0

#define MASK_TOPAZHP_CR_REF_PIC1_VALID 0x00000200
#define SHIFT_TOPAZHP_CR_REF_PIC1_VALID 9
#define REGNUM_TOPAZHP_CR_REF_PIC1_VALID 0x0154
#define SIGNED_TOPAZHP_CR_REF_PIC1_VALID 0

#define MASK_TOPAZHP_CR_REF_PIC1_EQUAL_PIC0 0x00000400
#define SHIFT_TOPAZHP_CR_REF_PIC1_EQUAL_PIC0 10
#define REGNUM_TOPAZHP_CR_REF_PIC1_EQUAL_PIC0 0x0154
#define SIGNED_TOPAZHP_CR_REF_PIC1_EQUAL_PIC0 0

#define MASK_TOPAZHP_CR_ABOVE_OUT_OF_SLICE_VALID 0x00000800
#define SHIFT_TOPAZHP_CR_ABOVE_OUT_OF_SLICE_VALID 11
#define REGNUM_TOPAZHP_CR_ABOVE_OUT_OF_SLICE_VALID 0x0154
#define SIGNED_TOPAZHP_CR_ABOVE_OUT_OF_SLICE_VALID 0

#define MASK_TOPAZHP_CR_TEMPORAL_COL_IN_VALID 0x00001000
#define SHIFT_TOPAZHP_CR_TEMPORAL_COL_IN_VALID 12
#define REGNUM_TOPAZHP_CR_TEMPORAL_COL_IN_VALID 0x0154
#define SIGNED_TOPAZHP_CR_TEMPORAL_COL_IN_VALID 0

#define MASK_TOPAZHP_CR_TEMPORAL_PIC0_BELOW_IN_VALID 0x00002000
#define SHIFT_TOPAZHP_CR_TEMPORAL_PIC0_BELOW_IN_VALID 13
#define REGNUM_TOPAZHP_CR_TEMPORAL_PIC0_BELOW_IN_VALID 0x0154
#define SIGNED_TOPAZHP_CR_TEMPORAL_PIC0_BELOW_IN_VALID 0

#define MASK_TOPAZHP_CR_TEMPORAL_PIC1_BELOW_IN_VALID 0x00004000
#define SHIFT_TOPAZHP_CR_TEMPORAL_PIC1_BELOW_IN_VALID 14
#define REGNUM_TOPAZHP_CR_TEMPORAL_PIC1_BELOW_IN_VALID 0x0154
#define SIGNED_TOPAZHP_CR_TEMPORAL_PIC1_BELOW_IN_VALID 0

#define MASK_TOPAZHP_CR_DEBLOCK_ENABLE 0x00008000
#define SHIFT_TOPAZHP_CR_DEBLOCK_ENABLE 15
#define REGNUM_TOPAZHP_CR_DEBLOCK_ENABLE 0x0154
#define SIGNED_TOPAZHP_CR_DEBLOCK_ENABLE 0

#define MASK_TOPAZHP_CR_WRITE_TEMPORAL_COL_VALID 0x00010000
#define SHIFT_TOPAZHP_CR_WRITE_TEMPORAL_COL_VALID 16
#define REGNUM_TOPAZHP_CR_WRITE_TEMPORAL_COL_VALID 0x0154
#define SIGNED_TOPAZHP_CR_WRITE_TEMPORAL_COL_VALID 0

#define MASK_TOPAZHP_CR_WRITE_TEMPORAL_PIC0_BELOW_VALID 0x00020000
#define SHIFT_TOPAZHP_CR_WRITE_TEMPORAL_PIC0_BELOW_VALID 17
#define REGNUM_TOPAZHP_CR_WRITE_TEMPORAL_PIC0_BELOW_VALID 0x0154
#define SIGNED_TOPAZHP_CR_WRITE_TEMPORAL_PIC0_BELOW_VALID 0

#define MASK_TOPAZHP_CR_WRITE_TEMPORAL_PIC1_BELOW_VALID 0x00040000
#define SHIFT_TOPAZHP_CR_WRITE_TEMPORAL_PIC1_BELOW_VALID 18
#define REGNUM_TOPAZHP_CR_WRITE_TEMPORAL_PIC1_BELOW_VALID 0x0154
#define SIGNED_TOPAZHP_CR_WRITE_TEMPORAL_PIC1_BELOW_VALID 0

#define MASK_TOPAZHP_CR_WRITE_RECON_PIC 0x00080000
#define SHIFT_TOPAZHP_CR_WRITE_RECON_PIC 19
#define REGNUM_TOPAZHP_CR_WRITE_RECON_PIC 0x0154
#define SIGNED_TOPAZHP_CR_WRITE_RECON_PIC 0

#define MASK_TOPAZHP_CR_WRITE_MB_FIRST_STAGE_VALID 0x00200000
#define SHIFT_TOPAZHP_CR_WRITE_MB_FIRST_STAGE_VALID 21
#define REGNUM_TOPAZHP_CR_WRITE_MB_FIRST_STAGE_VALID 0x0154
#define SIGNED_TOPAZHP_CR_WRITE_MB_FIRST_STAGE_VALID 0

#define MASK_TOPAZHP_CR_FIRST_STAGE_ONLY 0x00400000
#define SHIFT_TOPAZHP_CR_FIRST_STAGE_ONLY 22
#define REGNUM_TOPAZHP_CR_FIRST_STAGE_ONLY 0x0154
#define SIGNED_TOPAZHP_CR_FIRST_STAGE_ONLY 0

#define MASK_TOPAZHP_CR_MB_CONTROL_IN_VALID 0x00800000
#define SHIFT_TOPAZHP_CR_MB_CONTROL_IN_VALID 23
#define REGNUM_TOPAZHP_CR_MB_CONTROL_IN_VALID 0x0154
#define SIGNED_TOPAZHP_CR_MB_CONTROL_IN_VALID 0

#define MASK_TOPAZHP_CR_SPATIAL_DIRECT 0x01000000
#define SHIFT_TOPAZHP_CR_SPATIAL_DIRECT 24
#define REGNUM_TOPAZHP_CR_SPATIAL_DIRECT 0x0154
#define SIGNED_TOPAZHP_CR_SPATIAL_DIRECT 0

#define MASK_TOPAZHP_CR_REF_PIC0_LONG_TERM_REF 0x02000000
#define SHIFT_TOPAZHP_CR_REF_PIC0_LONG_TERM_REF 25
#define REGNUM_TOPAZHP_CR_REF_PIC0_LONG_TERM_REF 0x0154
#define SIGNED_TOPAZHP_CR_REF_PIC0_LONG_TERM_REF 0

#define MASK_TOPAZHP_CR_REF_PIC1_LONG_TERM_REF 0x04000000
#define SHIFT_TOPAZHP_CR_REF_PIC1_LONG_TERM_REF 26
#define REGNUM_TOPAZHP_CR_REF_PIC1_LONG_TERM_REF 0x0154
#define SIGNED_TOPAZHP_CR_REF_PIC1_LONG_TERM_REF 0

#define MASK_TOPAZHP_CR_LRITC_REF_PIC1_EQUAL_PIC0 0x08000000
#define SHIFT_TOPAZHP_CR_LRITC_REF_PIC1_EQUAL_PIC0 27
#define REGNUM_TOPAZHP_CR_LRITC_REF_PIC1_EQUAL_PIC0 0x0154
#define SIGNED_TOPAZHP_CR_LRITC_REF_PIC1_EQUAL_PIC0 0

#define MASK_TOPAZHP_CR_BEST_MULTIPASS_OUT_VALID 0x10000000
#define SHIFT_TOPAZHP_CR_BEST_MULTIPASS_OUT_VALID 28
#define REGNUM_TOPAZHP_CR_BEST_MULTIPASS_OUT_VALID 0x0154
#define SIGNED_TOPAZHP_CR_BEST_MULTIPASS_OUT_VALID 0

#define MASK_TOPAZHP_CR_LIMIT_VLC_LATENCY 0x20000000
#define SHIFT_TOPAZHP_CR_LIMIT_VLC_LATENCY 29
#define REGNUM_TOPAZHP_CR_LIMIT_VLC_LATENCY 0x0154
#define SIGNED_TOPAZHP_CR_LIMIT_VLC_LATENCY 0

#define MASK_TOPAZHP_CR_BEST_MVS_OUT_DISABLE 0x40000000
#define SHIFT_TOPAZHP_CR_BEST_MVS_OUT_DISABLE 30
#define REGNUM_TOPAZHP_CR_BEST_MVS_OUT_DISABLE 0x0154
#define SIGNED_TOPAZHP_CR_BEST_MVS_OUT_DISABLE 0

/* Register CR_SLICE_CONFIG */
#define TOPAZHP_CR_SLICE_CONFIG     0x0158
#define MASK_TOPAZHP_CR_SLICE_START_MB_Y 0x0000FF00
#define SHIFT_TOPAZHP_CR_SLICE_START_MB_Y 8
#define REGNUM_TOPAZHP_CR_SLICE_START_MB_Y 0x0158
#define SIGNED_TOPAZHP_CR_SLICE_START_MB_Y 0

#define MASK_TOPAZHP_CR_SLICE_TYPE  0x00030000
#define SHIFT_TOPAZHP_CR_SLICE_TYPE 16
#define REGNUM_TOPAZHP_CR_SLICE_TYPE 0x0158
#define SIGNED_TOPAZHP_CR_SLICE_TYPE 0
#define TOPAZHP_CR_SLICE_TYPE_B_SLICE		0x00000002		/* B-slice */
#define TOPAZHP_CR_SLICE_TYPE_P_SLICE		0x00000001		/* P-slice */
#define TOPAZHP_CR_SLICE_TYPE_I_SLICE		0x00000000		/* I-slice */

/* Register CR_SLICE_QP_CONFIG */
#define TOPAZHP_CR_SLICE_QP_CONFIG  0x015C
#define MASK_TOPAZHP_CR_SLICE_QPY   0x0000003F
#define SHIFT_TOPAZHP_CR_SLICE_QPY  0
#define REGNUM_TOPAZHP_CR_SLICE_QPY 0x015C
#define SIGNED_TOPAZHP_CR_SLICE_QPY 0

#define MASK_TOPAZHP_CR_INTRA_DC_PRECISION 0x00000300
#define SHIFT_TOPAZHP_CR_INTRA_DC_PRECISION 8
#define REGNUM_TOPAZHP_CR_INTRA_DC_PRECISION 0x015C
#define SIGNED_TOPAZHP_CR_INTRA_DC_PRECISION 0

/* Register CR_SEQUENCER_KICK */
#define TOPAZHP_CR_SEQUENCER_KICK   0x0160
#define MASK_TOPAZHP_CR_START_MB_X  0x000000FF
#define SHIFT_TOPAZHP_CR_START_MB_X 0
#define REGNUM_TOPAZHP_CR_START_MB_X 0x0160
#define SIGNED_TOPAZHP_CR_START_MB_X 0

#define MASK_TOPAZHP_CR_START_MB_Y  0x0000FF00
#define SHIFT_TOPAZHP_CR_START_MB_Y 8
#define REGNUM_TOPAZHP_CR_START_MB_Y 0x0160
#define SIGNED_TOPAZHP_CR_START_MB_Y 0

#define MASK_TOPAZHP_CR_KICK_COUNT  0x00FF0000
#define SHIFT_TOPAZHP_CR_KICK_COUNT 16
#define REGNUM_TOPAZHP_CR_KICK_COUNT 0x0160
#define SIGNED_TOPAZHP_CR_KICK_COUNT 0

#define MASK_TOPAZHP_CR_KICK_START_OF_SLICE 0x01000000
#define SHIFT_TOPAZHP_CR_KICK_START_OF_SLICE 24
#define REGNUM_TOPAZHP_CR_KICK_START_OF_SLICE 0x0160
#define SIGNED_TOPAZHP_CR_KICK_START_OF_SLICE 0

#define MASK_TOPAZHP_CR_KICK_END_OF_SLICE 0x02000000
#define SHIFT_TOPAZHP_CR_KICK_END_OF_SLICE 25
#define REGNUM_TOPAZHP_CR_KICK_END_OF_SLICE 0x0160
#define SIGNED_TOPAZHP_CR_KICK_END_OF_SLICE 0

#define MASK_TOPAZHP_CR_KICK_END_OF_PICTURE 0x04000000
#define SHIFT_TOPAZHP_CR_KICK_END_OF_PICTURE 26
#define REGNUM_TOPAZHP_CR_KICK_END_OF_PICTURE 0x0160
#define SIGNED_TOPAZHP_CR_KICK_END_OF_PICTURE 0

#define MASK_TOPAZHP_CR_FORCE_SKIP  0x10000000
#define SHIFT_TOPAZHP_CR_FORCE_SKIP 28
#define REGNUM_TOPAZHP_CR_FORCE_SKIP 0x0160
#define SIGNED_TOPAZHP_CR_FORCE_SKIP 0

#define MASK_TOPAZHP_CR_FORCE_INTRA 0x20000000
#define SHIFT_TOPAZHP_CR_FORCE_INTRA 29
#define REGNUM_TOPAZHP_CR_FORCE_INTRA 0x0160
#define SIGNED_TOPAZHP_CR_FORCE_INTRA 0

/* Register CR_SEQUENCER_STATUS */
#define TOPAZHP_CR_SEQUENCER_STATUS 0x0164
#define MASK_TOPAZHP_CR_CUR_MB_X_STATUS 0x000000FF
#define SHIFT_TOPAZHP_CR_CUR_MB_X_STATUS 0
#define REGNUM_TOPAZHP_CR_CUR_MB_X_STATUS 0x0164
#define SIGNED_TOPAZHP_CR_CUR_MB_X_STATUS 0

#define MASK_TOPAZHP_CR_CUR_MB_Y_STATUS 0x0000FF00
#define SHIFT_TOPAZHP_CR_CUR_MB_Y_STATUS 8
#define REGNUM_TOPAZHP_CR_CUR_MB_Y_STATUS 0x0164
#define SIGNED_TOPAZHP_CR_CUR_MB_Y_STATUS 0

#define MASK_TOPAZHP_CR_KICK_COUNT_STATUS 0x00FF0000
#define SHIFT_TOPAZHP_CR_KICK_COUNT_STATUS 16
#define REGNUM_TOPAZHP_CR_KICK_COUNT_STATUS 0x0164
#define SIGNED_TOPAZHP_CR_KICK_COUNT_STATUS 0

#define MASK_TOPAZHP_CR_KICK_START_OF_SLICE_STATUS 0x01000000
#define SHIFT_TOPAZHP_CR_KICK_START_OF_SLICE_STATUS 24
#define REGNUM_TOPAZHP_CR_KICK_START_OF_SLICE_STATUS 0x0164
#define SIGNED_TOPAZHP_CR_KICK_START_OF_SLICE_STATUS 0

#define MASK_TOPAZHP_CR_KICK_END_OF_SLICE_STATUS 0x02000000
#define SHIFT_TOPAZHP_CR_KICK_END_OF_SLICE_STATUS 25
#define REGNUM_TOPAZHP_CR_KICK_END_OF_SLICE_STATUS 0x0164
#define SIGNED_TOPAZHP_CR_KICK_END_OF_SLICE_STATUS 0

#define MASK_TOPAZHP_CR_KICK_END_OF_PICTURE_STATUS 0x04000000
#define SHIFT_TOPAZHP_CR_KICK_END_OF_PICTURE_STATUS 26
#define REGNUM_TOPAZHP_CR_KICK_END_OF_PICTURE_STATUS 0x0164
#define SIGNED_TOPAZHP_CR_KICK_END_OF_PICTURE_STATUS 0

#define MASK_TOPAZHP_CR_LRITC_CACHE_FLUSH_STATUS 0x08000000
#define SHIFT_TOPAZHP_CR_LRITC_CACHE_FLUSH_STATUS 27
#define REGNUM_TOPAZHP_CR_LRITC_CACHE_FLUSH_STATUS 0x0164
#define SIGNED_TOPAZHP_CR_LRITC_CACHE_FLUSH_STATUS 0

#define MASK_TOPAZHP_CR_FORCE_SKIP_STATUS 0x10000000
#define SHIFT_TOPAZHP_CR_FORCE_SKIP_STATUS 28
#define REGNUM_TOPAZHP_CR_FORCE_SKIP_STATUS 0x0164
#define SIGNED_TOPAZHP_CR_FORCE_SKIP_STATUS 0

#define MASK_TOPAZHP_CR_FORCE_INTRA_STATUS 0x20000000
#define SHIFT_TOPAZHP_CR_FORCE_INTRA_STATUS 29
#define REGNUM_TOPAZHP_CR_FORCE_INTRA_STATUS 0x0164
#define SIGNED_TOPAZHP_CR_FORCE_INTRA_STATUS 0

/* Register CR_SEQ_BEST_MULTIPASS_OUT_ADDR */
#define TOPAZHP_CR_SEQ_BEST_MULTIPASS_OUT_ADDR 0x0168
#define MASK_TOPAZHP_CR_BEST_MULTIPASS_OUT_ADDR 0xFFFFFFC0
#define SHIFT_TOPAZHP_CR_BEST_MULTIPASS_OUT_ADDR 6
#define REGNUM_TOPAZHP_CR_BEST_MULTIPASS_OUT_ADDR 0x0168
#define SIGNED_TOPAZHP_CR_BEST_MULTIPASS_OUT_ADDR 0

/* Register CR_MVCLIP_CONFIG */
#define TOPAZHP_CR_MVCLIP_CONFIG    0x016C
#define MASK_TOPAZHP_CR_SLICE_END_MB_Y 0x0000FF00
#define SHIFT_TOPAZHP_CR_SLICE_END_MB_Y 8
#define REGNUM_TOPAZHP_CR_SLICE_END_MB_Y 0x016C
#define SIGNED_TOPAZHP_CR_SLICE_END_MB_Y 0

#define MASK_TOPAZHP_CR_MVCALC_RESTRICT_PICTURE 0x00010000
#define SHIFT_TOPAZHP_CR_MVCALC_RESTRICT_PICTURE 16
#define REGNUM_TOPAZHP_CR_MVCALC_RESTRICT_PICTURE 0x016C
#define SIGNED_TOPAZHP_CR_MVCALC_RESTRICT_PICTURE 0

#define MASK_TOPAZHP_CR_MVCALC_RESTRICT_SLICE 0x00020000
#define SHIFT_TOPAZHP_CR_MVCALC_RESTRICT_SLICE 17
#define REGNUM_TOPAZHP_CR_MVCALC_RESTRICT_SLICE 0x016C
#define SIGNED_TOPAZHP_CR_MVCALC_RESTRICT_SLICE 0

/* Register CR_MVCALC_CONFIG */
#define TOPAZHP_CR_MVCALC_CONFIG    0x0170
#define MASK_TOPAZHP_CR_MVCALC_GRID_MB_X_STEP 0x0000000F
#define SHIFT_TOPAZHP_CR_MVCALC_GRID_MB_X_STEP 0
#define REGNUM_TOPAZHP_CR_MVCALC_GRID_MB_X_STEP 0x0170
#define SIGNED_TOPAZHP_CR_MVCALC_GRID_MB_X_STEP 0

#define MASK_TOPAZHP_CR_MVCALC_GRID_MB_Y_STEP 0x00000F00
#define SHIFT_TOPAZHP_CR_MVCALC_GRID_MB_Y_STEP 8
#define REGNUM_TOPAZHP_CR_MVCALC_GRID_MB_Y_STEP 0x0170
#define SIGNED_TOPAZHP_CR_MVCALC_GRID_MB_Y_STEP 0

#define MASK_TOPAZHP_CR_MVCALC_GRID_SUB_STEP 0x000F0000
#define SHIFT_TOPAZHP_CR_MVCALC_GRID_SUB_STEP 16
#define REGNUM_TOPAZHP_CR_MVCALC_GRID_SUB_STEP 0x0170
#define SIGNED_TOPAZHP_CR_MVCALC_GRID_SUB_STEP 0

#define MASK_TOPAZHP_CR_MVCALC_GRID_DISABLE 0x00800000
#define SHIFT_TOPAZHP_CR_MVCALC_GRID_DISABLE 23
#define REGNUM_TOPAZHP_CR_MVCALC_GRID_DISABLE 0x0170
#define SIGNED_TOPAZHP_CR_MVCALC_GRID_DISABLE 0

#define MASK_TOPAZHP_CR_MVCALC_IPE0_JITTER_FACTOR 0x03000000
#define SHIFT_TOPAZHP_CR_MVCALC_IPE0_JITTER_FACTOR 24
#define REGNUM_TOPAZHP_CR_MVCALC_IPE0_JITTER_FACTOR 0x0170
#define SIGNED_TOPAZHP_CR_MVCALC_IPE0_JITTER_FACTOR 0

#define MASK_TOPAZHP_CR_MVCALC_IPE1_JITTER_FACTOR 0x0C000000
#define SHIFT_TOPAZHP_CR_MVCALC_IPE1_JITTER_FACTOR 26
#define REGNUM_TOPAZHP_CR_MVCALC_IPE1_JITTER_FACTOR 0x0170
#define SIGNED_TOPAZHP_CR_MVCALC_IPE1_JITTER_FACTOR 0

#define MASK_TOPAZHP_CR_MVCALC_JITTER_POINTER_RST 0x10000000
#define SHIFT_TOPAZHP_CR_MVCALC_JITTER_POINTER_RST 28
#define REGNUM_TOPAZHP_CR_MVCALC_JITTER_POINTER_RST 0x0170
#define SIGNED_TOPAZHP_CR_MVCALC_JITTER_POINTER_RST 0

#define MASK_TOPAZHP_CR_MVCALC_NO_PSEUDO_DUPLICATES 0x20000000
#define SHIFT_TOPAZHP_CR_MVCALC_NO_PSEUDO_DUPLICATES 29
#define REGNUM_TOPAZHP_CR_MVCALC_NO_PSEUDO_DUPLICATES 0x0170
#define SIGNED_TOPAZHP_CR_MVCALC_NO_PSEUDO_DUPLICATES 0

#define MASK_TOPAZHP_CR_MVCALC_DUP_VEC_MARGIN 0xC0000000
#define SHIFT_TOPAZHP_CR_MVCALC_DUP_VEC_MARGIN 30
#define REGNUM_TOPAZHP_CR_MVCALC_DUP_VEC_MARGIN 0x0170
#define SIGNED_TOPAZHP_CR_MVCALC_DUP_VEC_MARGIN 0

/* Register CR_MVCALC_COLOCATED */
#define TOPAZHP_CR_MVCALC_COLOCATED 0x0174
#define MASK_TOPAZHP_CR_COL_DIST_SCALE_FACT 0x000007FF
#define SHIFT_TOPAZHP_CR_COL_DIST_SCALE_FACT 0
#define REGNUM_TOPAZHP_CR_COL_DIST_SCALE_FACT 0x0174
#define SIGNED_TOPAZHP_CR_COL_DIST_SCALE_FACT 0

/* Register CR_MVCALC_BELOW */
#define TOPAZHP_CR_MVCALC_BELOW     0x0178
#define MASK_TOPAZHP_CR_PIC0_DIST_SCALE_FACTOR 0x000007FF
#define SHIFT_TOPAZHP_CR_PIC0_DIST_SCALE_FACTOR 0
#define REGNUM_TOPAZHP_CR_PIC0_DIST_SCALE_FACTOR 0x0178
#define SIGNED_TOPAZHP_CR_PIC0_DIST_SCALE_FACTOR 0

#define MASK_TOPAZHP_CR_PIC1_DIST_SCALE_FACTOR 0x07FF0000
#define SHIFT_TOPAZHP_CR_PIC1_DIST_SCALE_FACTOR 16
#define REGNUM_TOPAZHP_CR_PIC1_DIST_SCALE_FACTOR 0x0178
#define SIGNED_TOPAZHP_CR_PIC1_DIST_SCALE_FACTOR 0

/* Register CR_PREFETCH_QP */
#define TOPAZHP_CR_PREFETCH_QP      0x017C
#define MASK_TOPAZHP_CR_SKIPPED_CODED_SCALE_IDX 0x00007000
#define SHIFT_TOPAZHP_CR_SKIPPED_CODED_SCALE_IDX 12
#define REGNUM_TOPAZHP_CR_SKIPPED_CODED_SCALE_IDX 0x017C
#define SIGNED_TOPAZHP_CR_SKIPPED_CODED_SCALE_IDX 0

#define MASK_TOPAZHP_CR_INTER_INTRA_SCALE_IDX 0x00000700
#define SHIFT_TOPAZHP_CR_INTER_INTRA_SCALE_IDX 8
#define REGNUM_TOPAZHP_CR_INTER_INTRA_SCALE_IDX 0x017C
#define SIGNED_TOPAZHP_CR_INTER_INTRA_SCALE_IDX 0

#define MASK_TOPAZHP_CR_REQ_QPY     0x0000003F
#define SHIFT_TOPAZHP_CR_REQ_QPY    0
#define REGNUM_TOPAZHP_CR_REQ_QPY   0x017C
#define SIGNED_TOPAZHP_CR_REQ_QPY   0

/* Register CR_MB_HOST_CONTROL */
#define TOPAZHP_CR_MB_HOST_CONTROL  0x0180
#define MASK_TOPAZHP_CR_MB_HOST_QP  0x00000001
#define SHIFT_TOPAZHP_CR_MB_HOST_QP 0
#define REGNUM_TOPAZHP_CR_MB_HOST_QP 0x0180
#define SIGNED_TOPAZHP_CR_MB_HOST_QP 0

#define MASK_TOPAZHP_CR_MB_HOST_SKIPPED_CODED_SCALE 0x00000002
#define SHIFT_TOPAZHP_CR_MB_HOST_SKIPPED_CODED_SCALE 1
#define REGNUM_TOPAZHP_CR_MB_HOST_SKIPPED_CODED_SCALE 0x0180
#define SIGNED_TOPAZHP_CR_MB_HOST_SKIPPED_CODED_SCALE 0

#define MASK_TOPAZHP_CR_MB_HOST_INTER_INTRA_SCALE 0x00000004
#define SHIFT_TOPAZHP_CR_MB_HOST_INTER_INTRA_SCALE 2
#define REGNUM_TOPAZHP_CR_MB_HOST_INTER_INTRA_SCALE 0x0180
#define SIGNED_TOPAZHP_CR_MB_HOST_INTER_INTRA_SCALE 0

/* Register CR_FIELD_PARITY */
#define TOPAZHP_CR_FIELD_PARITY     0x0188
#define MASK_TOPAZHP_CR_CUR_PIC_PARITY 0x00000001
#define SHIFT_TOPAZHP_CR_CUR_PIC_PARITY 0
#define REGNUM_TOPAZHP_CR_CUR_PIC_PARITY 0x0188
#define SIGNED_TOPAZHP_CR_CUR_PIC_PARITY 0

#define MASK_TOPAZHP_CR_REF_PIC0_PARITY 0x00000002
#define SHIFT_TOPAZHP_CR_REF_PIC0_PARITY 1
#define REGNUM_TOPAZHP_CR_REF_PIC0_PARITY 0x0188
#define SIGNED_TOPAZHP_CR_REF_PIC0_PARITY 0

#define MASK_TOPAZHP_CR_REF_PIC1_PARITY 0x00000004
#define SHIFT_TOPAZHP_CR_REF_PIC1_PARITY 2
#define REGNUM_TOPAZHP_CR_REF_PIC1_PARITY 0x0188
#define SIGNED_TOPAZHP_CR_REF_PIC1_PARITY 0

/* Register CR_H264COMP_CUSTOM_QUANT_SP */
#define TOPAZHP_CR_H264COMP_CUSTOM_QUANT_SP 0x01A0
#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_SP_0 0x00003FFF
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_SP_0 0
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_SP_0 0x01A0
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_SP_0 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_SP_1 0x3FFF0000
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_SP_1 16
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_SP_1 0x01A0
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_SP_1 0

/* Register CR_H264COMP_CUSTOM_QUANT_Q */
#define TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q 0x01A4
#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_0 0x0000007F
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_0 0
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_0 0x01A4
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_0 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_1 0x00007F00
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_1 8
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_1 0x01A4
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_1 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_2 0x007F0000
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_2 16
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_2 0x01A4
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_2 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_3 0x7F000000
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_3 24
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_3 0x01A4
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_Q_3 0

/* Register CR_H264COMP_CONTROL */
#define TOPAZHP_CR_H264COMP_CONTROL 0x01A8
#define MASK_TOPAZHP_CR_H264COMP_8X8_TRANSFORM 0x00000001
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_TRANSFORM 0
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_TRANSFORM 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_TRANSFORM 0

#define MASK_TOPAZHP_CR_H264COMP_CONSTRAINED_INTRA 0x00000002
#define SHIFT_TOPAZHP_CR_H264COMP_CONSTRAINED_INTRA 1
#define REGNUM_TOPAZHP_CR_H264COMP_CONSTRAINED_INTRA 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_CONSTRAINED_INTRA 0

#define MASK_TOPAZHP_CR_H264COMP_8X8_CAVLC 0x00000004
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_CAVLC 2
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_CAVLC 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_CAVLC 0

#define MASK_TOPAZHP_CR_H264COMP_DEFAULT_SCALING_LIST 0x00000008
#define SHIFT_TOPAZHP_CR_H264COMP_DEFAULT_SCALING_LIST 3
#define REGNUM_TOPAZHP_CR_H264COMP_DEFAULT_SCALING_LIST 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_DEFAULT_SCALING_LIST 0
#define TOPAZHP_CR_H264COMP_DEFAULT_SCALING_LIST_DEFAULT		0x00000001		/* Use the default scaling list */
#define TOPAZHP_CR_H264COMP_DEFAULT_SCALING_LIST_FLAT		0x00000000		/* Use the flat scaling list */

#define MASK_TOPAZHP_CR_H264COMP_ADAPT_ROUND_ENABLE 0x00000010
#define SHIFT_TOPAZHP_CR_H264COMP_ADAPT_ROUND_ENABLE 4
#define REGNUM_TOPAZHP_CR_H264COMP_ADAPT_ROUND_ENABLE 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_ADAPT_ROUND_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_VIDEO_CONF_ENABLE 0x00000020
#define SHIFT_TOPAZHP_CR_H264COMP_VIDEO_CONF_ENABLE 5
#define REGNUM_TOPAZHP_CR_H264COMP_VIDEO_CONF_ENABLE 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_VIDEO_CONF_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_8X8_INTER_LUMA_ENABLE 0x00000080
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_8X8_INTER_LUMA_ENABLE 7
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_8X8_INTER_LUMA_ENABLE 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_8X8_INTER_LUMA_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_CR_ENABLE 0x00000100
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_CR_ENABLE 8
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_CR_ENABLE 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_CR_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_CB_ENABLE 0x00000200
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_CB_ENABLE 9
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_CB_ENABLE 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_CB_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_LUMA_ENABLE 0x00000400
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_LUMA_ENABLE 10
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_LUMA_ENABLE 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTER_LUMA_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_8X8_INTRA_LUMA_ENABLE 0x00000800
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_8X8_INTRA_LUMA_ENABLE 11
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_8X8_INTRA_LUMA_ENABLE 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_8X8_INTRA_LUMA_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_CR_ENABLE 0x00001000
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_CR_ENABLE 12
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_CR_ENABLE 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_CR_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_CB_ENABLE 0x00002000
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_CB_ENABLE 13
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_CB_ENABLE 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_CB_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_LUMA_ENABLE 0x00004000
#define SHIFT_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_LUMA_ENABLE 14
#define REGNUM_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_LUMA_ENABLE 0x01A8
#define SIGNED_TOPAZHP_CR_H264COMP_CUSTOM_QUANT_4X4_INTRA_LUMA_ENABLE 0

/* Register CR_H264COMP_INTRA_PRED_MODES */
#define TOPAZHP_CR_H264COMP_INTRA_PRED_MODES 0x01AC
#define MASK_TOPAZHP_CR_H264COMP_4X4_VERTICAL_ENABLE 0x00000001
#define SHIFT_TOPAZHP_CR_H264COMP_4X4_VERTICAL_ENABLE 0
#define REGNUM_TOPAZHP_CR_H264COMP_4X4_VERTICAL_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_4X4_VERTICAL_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_4X4_HORIZONTAL_ENABLE 0x00000002
#define SHIFT_TOPAZHP_CR_H264COMP_4X4_HORIZONTAL_ENABLE 1
#define REGNUM_TOPAZHP_CR_H264COMP_4X4_HORIZONTAL_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_4X4_HORIZONTAL_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_4X4_DDL_ENABLE 0x00000004
#define SHIFT_TOPAZHP_CR_H264COMP_4X4_DDL_ENABLE 2
#define REGNUM_TOPAZHP_CR_H264COMP_4X4_DDL_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_4X4_DDL_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_4X4_DDR_ENABLE 0x00000008
#define SHIFT_TOPAZHP_CR_H264COMP_4X4_DDR_ENABLE 3
#define REGNUM_TOPAZHP_CR_H264COMP_4X4_DDR_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_4X4_DDR_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_4X4_VRIGHT_ENABLE 0x00000010
#define SHIFT_TOPAZHP_CR_H264COMP_4X4_VRIGHT_ENABLE 4
#define REGNUM_TOPAZHP_CR_H264COMP_4X4_VRIGHT_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_4X4_VRIGHT_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_4X4_HDOWN_ENABLE 0x00000020
#define SHIFT_TOPAZHP_CR_H264COMP_4X4_HDOWN_ENABLE 5
#define REGNUM_TOPAZHP_CR_H264COMP_4X4_HDOWN_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_4X4_HDOWN_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_4X4_VLEFT_ENABLE 0x00000040
#define SHIFT_TOPAZHP_CR_H264COMP_4X4_VLEFT_ENABLE 6
#define REGNUM_TOPAZHP_CR_H264COMP_4X4_VLEFT_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_4X4_VLEFT_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_4X4_HUP_ENABLE 0x00000080
#define SHIFT_TOPAZHP_CR_H264COMP_4X4_HUP_ENABLE 7
#define REGNUM_TOPAZHP_CR_H264COMP_4X4_HUP_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_4X4_HUP_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_8X8_VERTICAL_ENABLE 0x00000100
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_VERTICAL_ENABLE 8
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_VERTICAL_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_VERTICAL_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_8X8_HORIZONTAL_ENABLE 0x00000200
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_HORIZONTAL_ENABLE 9
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_HORIZONTAL_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_HORIZONTAL_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_8X8_DDL_ENABLE 0x00000400
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_DDL_ENABLE 10
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_DDL_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_DDL_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_8X8_DDR_ENABLE 0x00000800
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_DDR_ENABLE 11
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_DDR_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_DDR_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_8X8_VRIGHT_ENABLE 0x00001000
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_VRIGHT_ENABLE 12
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_VRIGHT_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_VRIGHT_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_8X8_HDOWN_ENABLE 0x00002000
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_HDOWN_ENABLE 13
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_HDOWN_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_HDOWN_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_8X8_VLEFT_ENABLE 0x00004000
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_VLEFT_ENABLE 14
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_VLEFT_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_VLEFT_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_8X8_HUP_ENABLE 0x00008000
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_HUP_ENABLE 15
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_HUP_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_HUP_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_16X16_PLANE_ENABLE 0x00010000
#define SHIFT_TOPAZHP_CR_H264COMP_16X16_PLANE_ENABLE 16
#define REGNUM_TOPAZHP_CR_H264COMP_16X16_PLANE_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_16X16_PLANE_ENABLE 0

#define MASK_TOPAZHP_CR_H264COMP_CHROMA_PLANE_ENABLE 0x00020000
#define SHIFT_TOPAZHP_CR_H264COMP_CHROMA_PLANE_ENABLE 17
#define REGNUM_TOPAZHP_CR_H264COMP_CHROMA_PLANE_ENABLE 0x01AC
#define SIGNED_TOPAZHP_CR_H264COMP_CHROMA_PLANE_ENABLE 0

/* Register CR_H264COMP_MAX_CYCLE_COUNT */
#define TOPAZHP_CR_H264COMP_MAX_CYCLE_COUNT 0x01B0
#define MASK_TOPAZHP_CR_H264COMP_MAX_CYCLE_COUNT 0x0000FFFF
#define SHIFT_TOPAZHP_CR_H264COMP_MAX_CYCLE_COUNT 0
#define REGNUM_TOPAZHP_CR_H264COMP_MAX_CYCLE_COUNT 0x01B0
#define SIGNED_TOPAZHP_CR_H264COMP_MAX_CYCLE_COUNT 0

/* Register CR_H264COMP_MAX_CYCLE_MB */
#define TOPAZHP_CR_H264COMP_MAX_CYCLE_MB 0x01B4
#define MASK_TOPAZHP_CR_H264COMP_MAX_CYCLE_MB_NUM 0x0000FFFF
#define SHIFT_TOPAZHP_CR_H264COMP_MAX_CYCLE_MB_NUM 0
#define REGNUM_TOPAZHP_CR_H264COMP_MAX_CYCLE_MB_NUM 0x01B4
#define SIGNED_TOPAZHP_CR_H264COMP_MAX_CYCLE_MB_NUM 0

#define MASK_TOPAZHP_CR_H264COMP_MAX_CYCLE_MB_TYPE 0x30000000
#define SHIFT_TOPAZHP_CR_H264COMP_MAX_CYCLE_MB_TYPE 28
#define REGNUM_TOPAZHP_CR_H264COMP_MAX_CYCLE_MB_TYPE 0x01B4
#define SIGNED_TOPAZHP_CR_H264COMP_MAX_CYCLE_MB_TYPE 0

/* Register CR_H264COMP_MAX_CYCLE_RESET */
#define TOPAZHP_CR_H264COMP_MAX_CYCLE_RESET 0x01B8
#define MASK_TOPAZHP_CR_H264COMP_MAX_CYCLE_RESET 0x00000001
#define SHIFT_TOPAZHP_CR_H264COMP_MAX_CYCLE_RESET 0
#define REGNUM_TOPAZHP_CR_H264COMP_MAX_CYCLE_RESET 0x01B8
#define SIGNED_TOPAZHP_CR_H264COMP_MAX_CYCLE_RESET 0

#define MASK_TOPAZHP_CR_H264COMP_DISABLE_COUNTERS 0x00000002
#define SHIFT_TOPAZHP_CR_H264COMP_DISABLE_COUNTERS 1
#define REGNUM_TOPAZHP_CR_H264COMP_DISABLE_COUNTERS 0x01B8
#define SIGNED_TOPAZHP_CR_H264COMP_DISABLE_COUNTERS 0

/* Register CR_H264COMP4X4_PRED_CRC */
#define TOPAZHP_CR_H264COMP4X4_PRED_CRC 0x01BC
#define MASK_TOPAZHP_CR_H264COMP4X4_PRED_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_H264COMP4X4_PRED_CRC 0
#define REGNUM_TOPAZHP_CR_H264COMP4X4_PRED_CRC 0x01BC
#define SIGNED_TOPAZHP_CR_H264COMP4X4_PRED_CRC 0

/* Register CR_H264COMP4X4_COEFFS_CRC */
#define TOPAZHP_CR_H264COMP4X4_COEFFS_CRC 0x01C0
#define MASK_TOPAZHP_CR_H264COMP4X4_COEFFS_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_H264COMP4X4_COEFFS_CRC 0
#define REGNUM_TOPAZHP_CR_H264COMP4X4_COEFFS_CRC 0x01C0
#define SIGNED_TOPAZHP_CR_H264COMP4X4_COEFFS_CRC 0

/* Register CR_H264COMP4X4_RECON_CRC */
#define TOPAZHP_CR_H264COMP4X4_RECON_CRC 0x01C4
#define MASK_TOPAZHP_CR_H264COMP4X4_RECON_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_H264COMP4X4_RECON_CRC 0
#define REGNUM_TOPAZHP_CR_H264COMP4X4_RECON_CRC 0x01C4
#define SIGNED_TOPAZHP_CR_H264COMP4X4_RECON_CRC 0

/* Register CR_H264COMP8X8_PRED_CRC */
#define TOPAZHP_CR_H264COMP8X8_PRED_CRC 0x01C8
#define MASK_TOPAZHP_CR_H264COMP8X8_PRED_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_H264COMP8X8_PRED_CRC 0
#define REGNUM_TOPAZHP_CR_H264COMP8X8_PRED_CRC 0x01C8
#define SIGNED_TOPAZHP_CR_H264COMP8X8_PRED_CRC 0

/* Register CR_H264COMP8X8_COEFFS_CRC */
#define TOPAZHP_CR_H264COMP8X8_COEFFS_CRC 0x01CC
#define MASK_TOPAZHP_CR_H264COMP8X8_COEFFS_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_H264COMP8X8_COEFFS_CRC 0
#define REGNUM_TOPAZHP_CR_H264COMP8X8_COEFFS_CRC 0x01CC
#define SIGNED_TOPAZHP_CR_H264COMP8X8_COEFFS_CRC 0

/* Register CR_H264COMP8X8_RECON_CRC */
#define TOPAZHP_CR_H264COMP8X8_RECON_CRC 0x01D0
#define MASK_TOPAZHP_CR_H264COMP8X8_RECON_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_H264COMP8X8_RECON_CRC 0
#define REGNUM_TOPAZHP_CR_H264COMP8X8_RECON_CRC 0x01D0
#define SIGNED_TOPAZHP_CR_H264COMP8X8_RECON_CRC 0

/* Register CR_H264COMP16X16_PRED_CRC */
#define TOPAZHP_CR_H264COMP16X16_PRED_CRC 0x01D4
#define MASK_TOPAZHP_CR_H264COMP16X16_PRED_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_H264COMP16X16_PRED_CRC 0
#define REGNUM_TOPAZHP_CR_H264COMP16X16_PRED_CRC 0x01D4
#define SIGNED_TOPAZHP_CR_H264COMP16X16_PRED_CRC 0

/* Register CR_H264COMP16X16_COEFFS_CRC */
#define TOPAZHP_CR_H264COMP16X16_COEFFS_CRC 0x01D8
#define MASK_TOPAZHP_CR_H264COMP16X16_COEFFS_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_H264COMP16X16_COEFFS_CRC 0
#define REGNUM_TOPAZHP_CR_H264COMP16X16_COEFFS_CRC 0x01D8
#define SIGNED_TOPAZHP_CR_H264COMP16X16_COEFFS_CRC 0

/* Register CR_H264COMP16X16_RECON_CRC */
#define TOPAZHP_CR_H264COMP16X16_RECON_CRC 0x01DC
#define MASK_TOPAZHP_CR_H264COMP16X16_RECON_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_H264COMP16X16_RECON_CRC 0
#define REGNUM_TOPAZHP_CR_H264COMP16X16_RECON_CRC 0x01DC
#define SIGNED_TOPAZHP_CR_H264COMP16X16_RECON_CRC 0

/* Register CR_H264COMP_ROUND_0 */
#define TOPAZHP_CR_H264COMP_ROUND_0 0x01E0
#define MASK_TOPAZHP_CR_H264COMP_16X16_INTRA_LUMA_ROUNDOFFSET 0x000003FF
#define SHIFT_TOPAZHP_CR_H264COMP_16X16_INTRA_LUMA_ROUNDOFFSET 0
#define REGNUM_TOPAZHP_CR_H264COMP_16X16_INTRA_LUMA_ROUNDOFFSET 0x01E0
#define SIGNED_TOPAZHP_CR_H264COMP_16X16_INTRA_LUMA_ROUNDOFFSET 0

#define MASK_TOPAZHP_CR_H264COMP_16X16_INTRA_CHROMA_ROUNDOFFSET 0x000FFC00
#define SHIFT_TOPAZHP_CR_H264COMP_16X16_INTRA_CHROMA_ROUNDOFFSET 10
#define REGNUM_TOPAZHP_CR_H264COMP_16X16_INTRA_CHROMA_ROUNDOFFSET 0x01E0
#define SIGNED_TOPAZHP_CR_H264COMP_16X16_INTRA_CHROMA_ROUNDOFFSET 0

#define MASK_TOPAZHP_CR_H264COMP_16X16_INTER_CHROMA_ROUNDOFFSET 0x3FF00000
#define SHIFT_TOPAZHP_CR_H264COMP_16X16_INTER_CHROMA_ROUNDOFFSET 20
#define REGNUM_TOPAZHP_CR_H264COMP_16X16_INTER_CHROMA_ROUNDOFFSET 0x01E0
#define SIGNED_TOPAZHP_CR_H264COMP_16X16_INTER_CHROMA_ROUNDOFFSET 0

/* Register CR_H264COMP_ROUND_1 */
#define TOPAZHP_CR_H264COMP_ROUND_1 0x01E4
#define MASK_TOPAZHP_CR_H264COMP_4X4_INTRA_LUMA_ROUNDOFFSET 0x000003FF
#define SHIFT_TOPAZHP_CR_H264COMP_4X4_INTRA_LUMA_ROUNDOFFSET 0
#define REGNUM_TOPAZHP_CR_H264COMP_4X4_INTRA_LUMA_ROUNDOFFSET 0x01E4
#define SIGNED_TOPAZHP_CR_H264COMP_4X4_INTRA_LUMA_ROUNDOFFSET 0

#define MASK_TOPAZHP_CR_H264COMP_8X8_INTRA_LUMA_ROUNDOFFSET 0x000FFC00
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_INTRA_LUMA_ROUNDOFFSET 10
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_INTRA_LUMA_ROUNDOFFSET 0x01E4
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_INTRA_LUMA_ROUNDOFFSET 0

/* Register CR_H264COMP_ROUND_2 */
#define TOPAZHP_CR_H264COMP_ROUND_2 0x01E8
#define MASK_TOPAZHP_CR_H264COMP_8X8_INTER_LUMA_ROUNDOFFSET 0x000003FF
#define SHIFT_TOPAZHP_CR_H264COMP_8X8_INTER_LUMA_ROUNDOFFSET 0
#define REGNUM_TOPAZHP_CR_H264COMP_8X8_INTER_LUMA_ROUNDOFFSET 0x01E8
#define SIGNED_TOPAZHP_CR_H264COMP_8X8_INTER_LUMA_ROUNDOFFSET 0

#define MASK_TOPAZHP_CR_H264COMP_16X16_INTER_LUMA_ROUNDOFFSET 0x000FFC00
#define SHIFT_TOPAZHP_CR_H264COMP_16X16_INTER_LUMA_ROUNDOFFSET 10
#define REGNUM_TOPAZHP_CR_H264COMP_16X16_INTER_LUMA_ROUNDOFFSET 0x01E8
#define SIGNED_TOPAZHP_CR_H264COMP_16X16_INTER_LUMA_ROUNDOFFSET 0

/* Register CR_H264COMP_ROUND_INIT */
#define TOPAZHP_CR_H264COMP_ROUND_INIT 0x01EC
#define MASK_TOPAZHP_CR_H264COMP_ROUNDOFFSET_INITIALISE 0x00000001
#define SHIFT_TOPAZHP_CR_H264COMP_ROUNDOFFSET_INITIALISE 0
#define REGNUM_TOPAZHP_CR_H264COMP_ROUNDOFFSET_INITIALISE 0x01EC
#define SIGNED_TOPAZHP_CR_H264COMP_ROUNDOFFSET_INITIALISE 0

/* Register CR_H264COMP_VIDEO_CONF_CONTROL_0 */
#define TOPAZHP_CR_H264COMP_VIDEO_CONF_CONTROL_0 0x01F0
#define MASK_TOPAZHP_CR_H264COMP_SET_LEVEL_RANGE 0x00000001
#define SHIFT_TOPAZHP_CR_H264COMP_SET_LEVEL_RANGE 0
#define REGNUM_TOPAZHP_CR_H264COMP_SET_LEVEL_RANGE 0x01F0
#define SIGNED_TOPAZHP_CR_H264COMP_SET_LEVEL_RANGE 0

#define MASK_TOPAZHP_CR_H264COMP_SET_START_LEVEL 0x00000002
#define SHIFT_TOPAZHP_CR_H264COMP_SET_START_LEVEL 1
#define REGNUM_TOPAZHP_CR_H264COMP_SET_START_LEVEL 0x01F0
#define SIGNED_TOPAZHP_CR_H264COMP_SET_START_LEVEL 0

#define MASK_TOPAZHP_CR_H264COMP_FLUSH_BITCOUNTS 0x00000004
#define SHIFT_TOPAZHP_CR_H264COMP_FLUSH_BITCOUNTS 2
#define REGNUM_TOPAZHP_CR_H264COMP_FLUSH_BITCOUNTS 0x01F0
#define SIGNED_TOPAZHP_CR_H264COMP_FLUSH_BITCOUNTS 0

#define MASK_TOPAZHP_CR_H264COMP_MIN_LIMIT_LEVEL 0x00000038
#define SHIFT_TOPAZHP_CR_H264COMP_MIN_LIMIT_LEVEL 3
#define REGNUM_TOPAZHP_CR_H264COMP_MIN_LIMIT_LEVEL 0x01F0
#define SIGNED_TOPAZHP_CR_H264COMP_MIN_LIMIT_LEVEL 0

#define MASK_TOPAZHP_CR_H264COMP_MAX_LIMIT_LEVEL 0x000001C0
#define SHIFT_TOPAZHP_CR_H264COMP_MAX_LIMIT_LEVEL 6
#define REGNUM_TOPAZHP_CR_H264COMP_MAX_LIMIT_LEVEL 0x01F0
#define SIGNED_TOPAZHP_CR_H264COMP_MAX_LIMIT_LEVEL 0

#define MASK_TOPAZHP_CR_H264COMP_START_LIMIT_LEVEL 0x00000E00
#define SHIFT_TOPAZHP_CR_H264COMP_START_LIMIT_LEVEL 9
#define REGNUM_TOPAZHP_CR_H264COMP_START_LIMIT_LEVEL 0x01F0
#define SIGNED_TOPAZHP_CR_H264COMP_START_LIMIT_LEVEL 0

#define MASK_TOPAZHP_CR_H264COMP_TARGET_MB_SIZE 0x003FF000
#define SHIFT_TOPAZHP_CR_H264COMP_TARGET_MB_SIZE 12
#define REGNUM_TOPAZHP_CR_H264COMP_TARGET_MB_SIZE 0x01F0
#define SIGNED_TOPAZHP_CR_H264COMP_TARGET_MB_SIZE 0

#define MASK_TOPAZHP_CR_H264COMP_TARGET_HYST 0xFFC00000
#define SHIFT_TOPAZHP_CR_H264COMP_TARGET_HYST 22
#define REGNUM_TOPAZHP_CR_H264COMP_TARGET_HYST 0x01F0
#define SIGNED_TOPAZHP_CR_H264COMP_TARGET_HYST 0

/* Register CR_H264COMP_VIDEO_CONF_CONTROL_1 */
#define TOPAZHP_CR_H264COMP_VIDEO_CONF_CONTROL_1 0x01F4
#define MASK_TOPAZHP_CR_H264COMP_INIT_TARGET 0x00000001
#define SHIFT_TOPAZHP_CR_H264COMP_INIT_TARGET 0
#define REGNUM_TOPAZHP_CR_H264COMP_INIT_TARGET 0x01F4
#define SIGNED_TOPAZHP_CR_H264COMP_INIT_TARGET 0

#define MASK_TOPAZHP_CR_H264COMP_INIT_USED 0x00000002
#define SHIFT_TOPAZHP_CR_H264COMP_INIT_USED 1
#define REGNUM_TOPAZHP_CR_H264COMP_INIT_USED 0x01F4
#define SIGNED_TOPAZHP_CR_H264COMP_INIT_USED 0

#define MASK_TOPAZHP_CR_H264COMP_TARGET_CONSTANT 0x0FFFFFF0
#define SHIFT_TOPAZHP_CR_H264COMP_TARGET_CONSTANT 4
#define REGNUM_TOPAZHP_CR_H264COMP_TARGET_CONSTANT 0x01F4
#define SIGNED_TOPAZHP_CR_H264COMP_TARGET_CONSTANT 0

/* Register CR_H264COMP_VIDEO_CONF_STATUS_0 */
#define TOPAZHP_CR_H264COMP_VIDEO_CONF_STATUS_0 0x01F8
#define MASK_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_0 0x000000FF
#define SHIFT_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_0 0
#define REGNUM_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_0 0x01F8
#define SIGNED_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_0 0

#define MASK_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_1 0x0000FF00
#define SHIFT_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_1 8
#define REGNUM_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_1 0x01F8
#define SIGNED_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_1 0

#define MASK_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_2 0x00FF0000
#define SHIFT_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_2 16
#define REGNUM_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_2 0x01F8
#define SIGNED_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_2 0

#define MASK_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_3 0xFF000000
#define SHIFT_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_3 24
#define REGNUM_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_3 0x01F8
#define SIGNED_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_3 0

/* Register CR_H264COMP_VIDEO_CONF_STATUS_1 */
#define TOPAZHP_CR_H264COMP_VIDEO_CONF_STATUS_1 0x01FC
#define MASK_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_4 0x000000FF
#define SHIFT_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_4 0
#define REGNUM_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_4 0x01FC
#define SIGNED_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_4 0

#define MASK_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_5 0x0000FF00
#define SHIFT_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_5 8
#define REGNUM_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_5 0x01FC
#define SIGNED_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_5 0

#define MASK_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_6 0x00FF0000
#define SHIFT_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_6 16
#define REGNUM_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_6 0x01FC
#define SIGNED_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_6 0

#define MASK_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_7 0xFF000000
#define SHIFT_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_7 24
#define REGNUM_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_7 0x01FC
#define SIGNED_TOPAZHP_CR_H264COMP_MBS_LIMIT_LEVEL_7 0

/* Register CR_IPE_CONTROL */
#define TOPAZHP_CR_IPE_CONTROL      0x0200
#define MASK_TOPAZHP_CR_IPE_BLOCKSIZE 0x00000003
#define SHIFT_TOPAZHP_CR_IPE_BLOCKSIZE 0
#define REGNUM_TOPAZHP_CR_IPE_BLOCKSIZE 0x0200
#define SIGNED_TOPAZHP_CR_IPE_BLOCKSIZE 0

#define MASK_TOPAZHP_CR_IPE_16X8_ENABLE 0x00000004
#define SHIFT_TOPAZHP_CR_IPE_16X8_ENABLE 2
#define REGNUM_TOPAZHP_CR_IPE_16X8_ENABLE 0x0200
#define SIGNED_TOPAZHP_CR_IPE_16X8_ENABLE 0

#define MASK_TOPAZHP_CR_IPE_8X16_ENABLE 0x00000008
#define SHIFT_TOPAZHP_CR_IPE_8X16_ENABLE 3
#define REGNUM_TOPAZHP_CR_IPE_8X16_ENABLE 0x0200
#define SIGNED_TOPAZHP_CR_IPE_8X16_ENABLE 0

#define MASK_TOPAZHP_CR_IPE_Y_FINE_SEARCH 0x00000030
#define SHIFT_TOPAZHP_CR_IPE_Y_FINE_SEARCH 4
#define REGNUM_TOPAZHP_CR_IPE_Y_FINE_SEARCH 0x0200
#define SIGNED_TOPAZHP_CR_IPE_Y_FINE_SEARCH 0

#define MASK_TOPAZHP_CR_IPE_4X4_SEARCH 0x00000040
#define SHIFT_TOPAZHP_CR_IPE_4X4_SEARCH 6
#define REGNUM_TOPAZHP_CR_IPE_4X4_SEARCH 0x0200
#define SIGNED_TOPAZHP_CR_IPE_4X4_SEARCH 0

#define MASK_TOPAZHP_CR_IPE_LRITC_BOUNDARY 0x00000300
#define SHIFT_TOPAZHP_CR_IPE_LRITC_BOUNDARY 8
#define REGNUM_TOPAZHP_CR_IPE_LRITC_BOUNDARY 0x0200
#define SIGNED_TOPAZHP_CR_IPE_LRITC_BOUNDARY 0

#define MASK_TOPAZHP_CR_IPE_HIGH_LATENCY 0x00001000
#define SHIFT_TOPAZHP_CR_IPE_HIGH_LATENCY 12
#define REGNUM_TOPAZHP_CR_IPE_HIGH_LATENCY 0x0200
#define SIGNED_TOPAZHP_CR_IPE_HIGH_LATENCY 0

#define MASK_TOPAZHP_CR_IPE_MV_NUMBER_RESTRICTION 0x00004000
#define SHIFT_TOPAZHP_CR_IPE_MV_NUMBER_RESTRICTION 14
#define REGNUM_TOPAZHP_CR_IPE_MV_NUMBER_RESTRICTION 0x0200
#define SIGNED_TOPAZHP_CR_IPE_MV_NUMBER_RESTRICTION 0

#define MASK_TOPAZHP_CR_IPE0_COSTS_CRC_SEL 0x00018000
#define SHIFT_TOPAZHP_CR_IPE0_COSTS_CRC_SEL 15
#define REGNUM_TOPAZHP_CR_IPE0_COSTS_CRC_SEL 0x0200
#define SIGNED_TOPAZHP_CR_IPE0_COSTS_CRC_SEL 0
#define TOPAZHP_CR_IPE0_COSTS_CRC_SEL_RESERVED		0x00000003
#define TOPAZHP_CR_IPE0_COSTS_CRC_SEL_16X16_COSTS		0x00000002		/* cr_ipe0_costs_crc will output 16x16 crc value */
#define TOPAZHP_CR_IPE0_COSTS_CRC_SEL_8X8_COSTS		0x00000001		/* cr_ipe0_costs_crc will output 8x8 crc value */
#define TOPAZHP_CR_IPE0_COSTS_CRC_SEL_4X4_COSTS		0x00000000		/* cr_ipe0_costs_crc will output 4x4 crc value */

#define MASK_TOPAZHP_CR_IPE1_COSTS_CRC_SEL 0x00060000
#define SHIFT_TOPAZHP_CR_IPE1_COSTS_CRC_SEL 17
#define REGNUM_TOPAZHP_CR_IPE1_COSTS_CRC_SEL 0x0200
#define SIGNED_TOPAZHP_CR_IPE1_COSTS_CRC_SEL 0
#define TOPAZHP_CR_IPE1_COSTS_CRC_SEL_RESERVED		0x00000003
#define TOPAZHP_CR_IPE1_COSTS_CRC_SEL_16X16_COSTS		0x00000002		/* cr_ipe1_costs_crc will output 16x16 crc value */
#define TOPAZHP_CR_IPE1_COSTS_CRC_SEL_8X8_COSTS		0x00000001		/* cr_ipe1_costs_crc will output 8x8 crc value */
#define TOPAZHP_CR_IPE1_COSTS_CRC_SEL_4X4_COSTS		0x00000000		/* cr_ipe1_costs_crc will output 4x4 crc value */

/* Register CR_IPE_SEARCH_STATUS */
#define TOPAZHP_CR_IPE_SEARCH_STATUS 0x0204
#define MASK_TOPAZHP_CR_IPE0_SEARCH_STATUS 0x00000007
#define SHIFT_TOPAZHP_CR_IPE0_SEARCH_STATUS 0
#define REGNUM_TOPAZHP_CR_IPE0_SEARCH_STATUS 0x0204
#define SIGNED_TOPAZHP_CR_IPE0_SEARCH_STATUS 0

#define MASK_TOPAZHP_CR_IPE1_SEARCH_STATUS 0x00070000
#define SHIFT_TOPAZHP_CR_IPE1_SEARCH_STATUS 16
#define REGNUM_TOPAZHP_CR_IPE1_SEARCH_STATUS 0x0204
#define SIGNED_TOPAZHP_CR_IPE1_SEARCH_STATUS 0

/* Register CR_IPE0_MB_COST */
#define TOPAZHP_CR_IPE0_MB_COST     0x0208
#define MASK_TOPAZHP_CR_IPE0_MB_SAD 0x0000FFFF
#define SHIFT_TOPAZHP_CR_IPE0_MB_SAD 0
#define REGNUM_TOPAZHP_CR_IPE0_MB_SAD 0x0208
#define SIGNED_TOPAZHP_CR_IPE0_MB_SAD 0

#define MASK_TOPAZHP_CR_IPE0_INT_MVCOST 0xFFFF0000
#define SHIFT_TOPAZHP_CR_IPE0_INT_MVCOST 16
#define REGNUM_TOPAZHP_CR_IPE0_INT_MVCOST 0x0208
#define SIGNED_TOPAZHP_CR_IPE0_INT_MVCOST 0

/* Register CR_IPE1_MB_COST */
#define TOPAZHP_CR_IPE1_MB_COST     0x020C
#define MASK_TOPAZHP_CR_IPE1_MB_SAD 0x0000FFFF
#define SHIFT_TOPAZHP_CR_IPE1_MB_SAD 0
#define REGNUM_TOPAZHP_CR_IPE1_MB_SAD 0x020C
#define SIGNED_TOPAZHP_CR_IPE1_MB_SAD 0

#define MASK_TOPAZHP_CR_IPE1_INT_MVCOST 0xFFFF0000
#define SHIFT_TOPAZHP_CR_IPE1_INT_MVCOST 16
#define REGNUM_TOPAZHP_CR_IPE1_INT_MVCOST 0x020C
#define SIGNED_TOPAZHP_CR_IPE1_INT_MVCOST 0

/* Register CR_IPE0_BESTMV_CRC */
#define TOPAZHP_CR_IPE0_BESTMV_CRC  0x0240
#define MASK_TOPAZHP_CR_IPE0_BESTMV_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_IPE0_BESTMV_CRC 0
#define REGNUM_TOPAZHP_CR_IPE0_BESTMV_CRC 0x0240
#define SIGNED_TOPAZHP_CR_IPE0_BESTMV_CRC 0

/* Register CR_IPE1_BESTMV_CRC */
#define TOPAZHP_CR_IPE1_BESTMV_CRC  0x0244
#define MASK_TOPAZHP_CR_IPE1_BESTMV_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_IPE1_BESTMV_CRC 0
#define REGNUM_TOPAZHP_CR_IPE1_BESTMV_CRC 0x0244
#define SIGNED_TOPAZHP_CR_IPE1_BESTMV_CRC 0

/* Register CR_IPE0_COSTS_CRC */
#define TOPAZHP_CR_IPE0_COSTS_CRC   0x0248
#define MASK_TOPAZHP_CR_IPE0_COSTS_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_IPE0_COSTS_CRC 0
#define REGNUM_TOPAZHP_CR_IPE0_COSTS_CRC 0x0248
#define SIGNED_TOPAZHP_CR_IPE0_COSTS_CRC 0

/* Register CR_IPE1_COSTS_CRC */
#define TOPAZHP_CR_IPE1_COSTS_CRC   0x024C
#define MASK_TOPAZHP_CR_IPE1_COSTS_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_IPE1_COSTS_CRC 0
#define REGNUM_TOPAZHP_CR_IPE1_COSTS_CRC 0x024C
#define SIGNED_TOPAZHP_CR_IPE1_COSTS_CRC 0

/* Register CR_IPE_MB_PERFORMANCE_CLEAR */
#define TOPAZHP_CR_IPE_MB_PERFORMANCE_CLEAR 0x0250
#define MASK_TOPAZHP_CR_IPE_MB_PERFORMANCE_CLEAR 0x00000001
#define SHIFT_TOPAZHP_CR_IPE_MB_PERFORMANCE_CLEAR 0
#define REGNUM_TOPAZHP_CR_IPE_MB_PERFORMANCE_CLEAR 0x0250
#define SIGNED_TOPAZHP_CR_IPE_MB_PERFORMANCE_CLEAR 0

/* Register CR_IPE_MB_PERFORMANCE_RESULT */
#define TOPAZHP_CR_IPE_MB_PERFORMANCE_RESULT 0x0254
#define MASK_TOPAZHP_CR_IPE_0_MB_PERFORMANCE_RESULT 0x0000FFFF
#define SHIFT_TOPAZHP_CR_IPE_0_MB_PERFORMANCE_RESULT 0
#define REGNUM_TOPAZHP_CR_IPE_0_MB_PERFORMANCE_RESULT 0x0254
#define SIGNED_TOPAZHP_CR_IPE_0_MB_PERFORMANCE_RESULT 0

#define MASK_TOPAZHP_CR_IPE_1_MB_PERFORMANCE_RESULT 0xFFFF0000
#define SHIFT_TOPAZHP_CR_IPE_1_MB_PERFORMANCE_RESULT 16
#define REGNUM_TOPAZHP_CR_IPE_1_MB_PERFORMANCE_RESULT 0x0254
#define SIGNED_TOPAZHP_CR_IPE_1_MB_PERFORMANCE_RESULT 0

/* Register CR_IPE_MB_PERFORMANCE_MB_NUMBER */
#define TOPAZHP_CR_IPE_MB_PERFORMANCE_MB_NUMBER 0x0258
#define MASK_TOPAZHP_CR_IPE_0_MAX_CYCLE_MB_NUM 0x0000FFFF
#define SHIFT_TOPAZHP_CR_IPE_0_MAX_CYCLE_MB_NUM 0
#define REGNUM_TOPAZHP_CR_IPE_0_MAX_CYCLE_MB_NUM 0x0258
#define SIGNED_TOPAZHP_CR_IPE_0_MAX_CYCLE_MB_NUM 0

#define MASK_TOPAZHP_CR_IPE_1_MAX_CYCLE_MB_NUM 0xFFFF0000
#define SHIFT_TOPAZHP_CR_IPE_1_MAX_CYCLE_MB_NUM 16
#define REGNUM_TOPAZHP_CR_IPE_1_MAX_CYCLE_MB_NUM 0x0258
#define SIGNED_TOPAZHP_CR_IPE_1_MAX_CYCLE_MB_NUM 0

/* Register CR_IPE_VECTOR_CLIPPING */
#define TOPAZHP_CR_IPE_VECTOR_CLIPPING 0x0260
#define MASK_TOPAZHP_CR_IPE_VECTOR_CLIPPING_X 0x000000FF
#define SHIFT_TOPAZHP_CR_IPE_VECTOR_CLIPPING_X 0
#define REGNUM_TOPAZHP_CR_IPE_VECTOR_CLIPPING_X 0x0260
#define SIGNED_TOPAZHP_CR_IPE_VECTOR_CLIPPING_X 0

#define MASK_TOPAZHP_CR_IPE_VECTOR_CLIPPING_Y 0x0000FF00
#define SHIFT_TOPAZHP_CR_IPE_VECTOR_CLIPPING_Y 8
#define REGNUM_TOPAZHP_CR_IPE_VECTOR_CLIPPING_Y 0x0260
#define SIGNED_TOPAZHP_CR_IPE_VECTOR_CLIPPING_Y 0

#define MASK_TOPAZHP_CR_IPE_VECTOR_CLIPPING_ENABLED 0x00010000
#define SHIFT_TOPAZHP_CR_IPE_VECTOR_CLIPPING_ENABLED 16
#define REGNUM_TOPAZHP_CR_IPE_VECTOR_CLIPPING_ENABLED 0x0260
#define SIGNED_TOPAZHP_CR_IPE_VECTOR_CLIPPING_ENABLED 0

/* Register CR_JMCOMP_CONTROL */
#define TOPAZHP_CR_JMCOMP_CONTROL   0x0270
#define MASK_TOPAZHP_CR_JMCOMP_AC_ENABLE 0x00008000
#define SHIFT_TOPAZHP_CR_JMCOMP_AC_ENABLE 15
#define REGNUM_TOPAZHP_CR_JMCOMP_AC_ENABLE 0x0270
#define SIGNED_TOPAZHP_CR_JMCOMP_AC_ENABLE 0

/* Register CR_JMCOMP_JPEG_LUMA_PRED */
#define TOPAZHP_CR_JMCOMP_JPEG_LUMA_PRED 0x0278
#define MASK_TOPAZHP_CR_JMCOMP_JPEG_DC_LUMA_PRED 0x00000FFF
#define SHIFT_TOPAZHP_CR_JMCOMP_JPEG_DC_LUMA_PRED 0
#define REGNUM_TOPAZHP_CR_JMCOMP_JPEG_DC_LUMA_PRED 0x0278
#define SIGNED_TOPAZHP_CR_JMCOMP_JPEG_DC_LUMA_PRED 0

/* Register CR_JMCOMP_JPEG_CHROMA_PREDS */
#define TOPAZHP_CR_JMCOMP_JPEG_CHROMA_PREDS 0x027C
#define MASK_TOPAZHP_CR_JMCOMP_JPEG_DC_CHROMA_CB_PRED 0x00000FFF
#define SHIFT_TOPAZHP_CR_JMCOMP_JPEG_DC_CHROMA_CB_PRED 0
#define REGNUM_TOPAZHP_CR_JMCOMP_JPEG_DC_CHROMA_CB_PRED 0x027C
#define SIGNED_TOPAZHP_CR_JMCOMP_JPEG_DC_CHROMA_CB_PRED 0

#define MASK_TOPAZHP_CR_JMCOMP_JPEG_DC_CHROMA_CR_PRED 0x0FFF0000
#define SHIFT_TOPAZHP_CR_JMCOMP_JPEG_DC_CHROMA_CR_PRED 16
#define REGNUM_TOPAZHP_CR_JMCOMP_JPEG_DC_CHROMA_CR_PRED 0x027C
#define SIGNED_TOPAZHP_CR_JMCOMP_JPEG_DC_CHROMA_CR_PRED 0

/* Register CR_JMCOMP_LUMA_QUANTISER_0 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_0 0x0280
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_00(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_00(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_00(i) 0x0280

/* Register CR_JMCOMP_LUMA_QUANTISER_1 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_1 0x0284
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_01(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_01(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_01(i) 0x0284

/* Register CR_JMCOMP_LUMA_QUANTISER_2 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_2 0x0288
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_02(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_02(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_02(i) 0x0288

/* Register CR_JMCOMP_LUMA_QUANTISER_3 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_3 0x028C
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_03(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_03(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_03(i) 0x028C

/* Register CR_JMCOMP_LUMA_QUANTISER_4 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_4 0x0290
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_04(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_04(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_04(i) 0x0290

/* Register CR_JMCOMP_LUMA_QUANTISER_5 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_5 0x0294
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_05(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_05(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_05(i) 0x0294

/* Register CR_JMCOMP_LUMA_QUANTISER_6 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_6 0x0298
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_06(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_06(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_06(i) 0x0298

/* Register CR_JMCOMP_LUMA_QUANTISER_7 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_7 0x029C
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_07(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_07(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_07(i) 0x029C

/* Register CR_JMCOMP_LUMA_QUANTISER_8 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_8 0x02A0
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_08(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_08(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_08(i) 0x02A0

/* Register CR_JMCOMP_LUMA_QUANTISER_9 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_9 0x02A4
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_09(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_09(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_09(i) 0x02A4

/* Register CR_JMCOMP_LUMA_QUANTISER_10 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_10 0x02A8
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_10(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_10(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_10(i) 0x02A8

/* Register CR_JMCOMP_LUMA_QUANTISER_11 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_11 0x02AC
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_11(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_11(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_11(i) 0x02AC

/* Register CR_JMCOMP_LUMA_QUANTISER_12 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_12 0x02B0
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_12(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_12(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_12(i) 0x02B0

/* Register CR_JMCOMP_LUMA_QUANTISER_13 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_13 0x02B4
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_13(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_13(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_13(i) 0x02B4

/* Register CR_JMCOMP_LUMA_QUANTISER_14 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_14 0x02B8
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_14(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_14(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_14(i) 0x02B8

/* Register CR_JMCOMP_LUMA_QUANTISER_15 */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_15 0x02BC
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT_15(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT_15(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT_15(i) 0x02BC

/* Register CR_JMCOMP_CHROMA_QUANTISER_0 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_0 0x02C0
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_00(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_00(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_00(i) 0x02C0

/* Register CR_JMCOMP_CHROMA_QUANTISER_1 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_1 0x02C4
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_01(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_01(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_01(i) 0x02C4

/* Register CR_JMCOMP_CHROMA_QUANTISER_2 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_2 0x02C8
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_02(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_02(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_02(i) 0x02C8

/* Register CR_JMCOMP_CHROMA_QUANTISER_3 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_3 0x02CC
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_03(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_03(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_03(i) 0x02CC

/* Register CR_JMCOMP_CHROMA_QUANTISER_4 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_4 0x02D0
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_04(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_04(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_04(i) 0x02D0

/* Register CR_JMCOMP_CHROMA_QUANTISER_5 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_5 0x02D4
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_05(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_05(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_05(i) 0x02D4

/* Register CR_JMCOMP_CHROMA_QUANTISER_6 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_6 0x02D8
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_06(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_06(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_06(i) 0x02D8

/* Register CR_JMCOMP_CHROMA_QUANTISER_7 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_7 0x02DC
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_07(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_07(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_07(i) 0x02DC

/* Register CR_JMCOMP_CHROMA_QUANTISER_8 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_8 0x02E0
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_08(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_08(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_08(i) 0x02E0

/* Register CR_JMCOMP_CHROMA_QUANTISER_9 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_9 0x02E4
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_09(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_09(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_09(i) 0x02E4

/* Register CR_JMCOMP_CHROMA_QUANTISER_10 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_10 0x02E8
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_10(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_10(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_10(i) 0x02E8

/* Register CR_JMCOMP_CHROMA_QUANTISER_11 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_11 0x02EC
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_11(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_11(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_11(i) 0x02EC

/* Register CR_JMCOMP_CHROMA_QUANTISER_12 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_12 0x02F0
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_12(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_12(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_12(i) 0x02F0

/* Register CR_JMCOMP_CHROMA_QUANTISER_13 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_13 0x02F4
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_13(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_13(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_13(i) 0x02F4

/* Register CR_JMCOMP_CHROMA_QUANTISER_14 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_14 0x02F8
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_14(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_14(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_14(i) 0x02F8

/* Register CR_JMCOMP_CHROMA_QUANTISER_15 */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_15 0x02FC
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_15(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_15(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT_15(i) 0x02FC

/* Register CR_JMCOMP_CRC */
#define TOPAZHP_CR_JMCOMP_CRC       0x0300
#define MASK_TOPAZHP_CR_JMCOMP_CRC_OUT 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_JMCOMP_CRC_OUT 0
#define REGNUM_TOPAZHP_CR_JMCOMP_CRC_OUT 0x0300
#define SIGNED_TOPAZHP_CR_JMCOMP_CRC_OUT 0

/* Register CR_JMCOMP_VLC_CRC */
#define TOPAZHP_CR_JMCOMP_VLC_CRC   0x0304
#define MASK_TOPAZHP_CR_JMCOMP_VLC_IF_CRC 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_JMCOMP_VLC_IF_CRC 0
#define REGNUM_TOPAZHP_CR_JMCOMP_VLC_IF_CRC 0x0304
#define SIGNED_TOPAZHP_CR_JMCOMP_VLC_IF_CRC 0

/* Register CR_JMCOMP_PERFORMANCE_0 */
#define TOPAZHP_CR_JMCOMP_PERFORMANCE_0 0x0308
#define MASK_TOPAZHP_CR_JMCOMP_WORST_MB_CYCLES 0x0000FFFF
#define SHIFT_TOPAZHP_CR_JMCOMP_WORST_MB_CYCLES 0
#define REGNUM_TOPAZHP_CR_JMCOMP_WORST_MB_CYCLES 0x0308
#define SIGNED_TOPAZHP_CR_JMCOMP_WORST_MB_CYCLES 0

#define MASK_TOPAZHP_CR_JMCOMP_WORST_MB_TYPE 0x00030000
#define SHIFT_TOPAZHP_CR_JMCOMP_WORST_MB_TYPE 16
#define REGNUM_TOPAZHP_CR_JMCOMP_WORST_MB_TYPE 0x0308
#define SIGNED_TOPAZHP_CR_JMCOMP_WORST_MB_TYPE 0

/* Register CR_JMCOMP_CRC_RDATA */
#define TOPAZHP_CR_JMCOMP_CRC_RDATA 0x030C
#define MASK_TOPAZHP_CR_JMCOMP_CRC_RDATA_OUT 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_JMCOMP_CRC_RDATA_OUT 0
#define REGNUM_TOPAZHP_CR_JMCOMP_CRC_RDATA_OUT 0x030C
#define SIGNED_TOPAZHP_CR_JMCOMP_CRC_RDATA_OUT 0

/* Register CR_JMCOMP_CRC_CARC */
#define TOPAZHP_CR_JMCOMP_CRC_CARC  0x0310
#define MASK_TOPAZHP_CR_JMCOMP_CRC_CARC_OUT 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_JMCOMP_CRC_CARC_OUT 0
#define REGNUM_TOPAZHP_CR_JMCOMP_CRC_CARC_OUT 0x0310
#define SIGNED_TOPAZHP_CR_JMCOMP_CRC_CARC_OUT 0

/* Register CR_JMCOMP_PERFORMANCE_1 */
#define TOPAZHP_CR_JMCOMP_PERFORMANCE_1 0x0320
#define MASK_TOPAZHP_CR_JMCOMP_WORST_MB_NUM 0x0000FFFF
#define SHIFT_TOPAZHP_CR_JMCOMP_WORST_MB_NUM 0
#define REGNUM_TOPAZHP_CR_JMCOMP_WORST_MB_NUM 0x0320
#define SIGNED_TOPAZHP_CR_JMCOMP_WORST_MB_NUM 0

/* Register CR_JMCOMP_PERFORMANCE_2 */
#define TOPAZHP_CR_JMCOMP_PERFORMANCE_2 0x0324
#define MASK_TOPAZHP_CR_JMCOMP_WORST_MB_CLEAR 0x00000001
#define SHIFT_TOPAZHP_CR_JMCOMP_WORST_MB_CLEAR 0
#define REGNUM_TOPAZHP_CR_JMCOMP_WORST_MB_CLEAR 0x0324
#define SIGNED_TOPAZHP_CR_JMCOMP_WORST_MB_CLEAR 0

#define MASK_TOPAZHP_CR_JMCOMP_DISABLE_COUNTERS 0x00000002
#define SHIFT_TOPAZHP_CR_JMCOMP_DISABLE_COUNTERS 1
#define REGNUM_TOPAZHP_CR_JMCOMP_DISABLE_COUNTERS 0x0324
#define SIGNED_TOPAZHP_CR_JMCOMP_DISABLE_COUNTERS 0

/* Register CR_JMCOMP_QP_VALUE */
#define TOPAZHP_CR_JMCOMP_QP_VALUE  0x0330
#define MASK_TOPAZHP_CR_JMCOMP_REAL_QP_LUMA 0x0000003F
#define SHIFT_TOPAZHP_CR_JMCOMP_REAL_QP_LUMA 0
#define REGNUM_TOPAZHP_CR_JMCOMP_REAL_QP_LUMA 0x0330
#define SIGNED_TOPAZHP_CR_JMCOMP_REAL_QP_LUMA 0

#define MASK_TOPAZHP_CR_JMCOMP_REQ_QP 0x003F0000
#define SHIFT_TOPAZHP_CR_JMCOMP_REQ_QP 16
#define REGNUM_TOPAZHP_CR_JMCOMP_REQ_QP 0x0330
#define SIGNED_TOPAZHP_CR_JMCOMP_REQ_QP 0

#define MASK_TOPAZHP_CR_QSCALE_CHANGE_DELAY 0x0F000000
#define SHIFT_TOPAZHP_CR_QSCALE_CHANGE_DELAY 24
#define REGNUM_TOPAZHP_CR_QSCALE_CHANGE_DELAY 0x0330
#define SIGNED_TOPAZHP_CR_QSCALE_CHANGE_DELAY 0

/* Register CR_JMCOMP_QSCALE_CHANGE */
#define TOPAZHP_CR_JMCOMP_QSCALE_CHANGE 0x0334
#define MASK_TOPAZHP_CR_QSCALE_CHANGE_THRESHOLD 0x0000000F
#define SHIFT_TOPAZHP_CR_QSCALE_CHANGE_THRESHOLD 0
#define REGNUM_TOPAZHP_CR_QSCALE_CHANGE_THRESHOLD 0x0334
#define SIGNED_TOPAZHP_CR_QSCALE_CHANGE_THRESHOLD 0

/* Register CR_SPE0_BEST_SAD_SIGNATURE */
#define TOPAZHP_CR_SPE0_BEST_SAD_SIGNATURE 0x0348
#define MASK_TOPAZHP_CR_SPE0_BEST_SAD_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_SPE0_BEST_SAD_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_SPE0_BEST_SAD_SIGNATURE 0x0348
#define SIGNED_TOPAZHP_CR_SPE0_BEST_SAD_SIGNATURE 0

/* Register CR_SPE1_BEST_SAD_SIGNATURE */
#define TOPAZHP_CR_SPE1_BEST_SAD_SIGNATURE 0x034C
#define MASK_TOPAZHP_CR_SPE1_BEST_SAD_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_SPE1_BEST_SAD_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_SPE1_BEST_SAD_SIGNATURE 0x034C
#define SIGNED_TOPAZHP_CR_SPE1_BEST_SAD_SIGNATURE 0

/* Register CR_SPE0_BEST_INDEX_SIGNATURE */
#define TOPAZHP_CR_SPE0_BEST_INDEX_SIGNATURE 0x0350
#define MASK_TOPAZHP_CR_SPE0_BEST_INDEX_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_SPE0_BEST_INDEX_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_SPE0_BEST_INDEX_SIGNATURE 0x0350
#define SIGNED_TOPAZHP_CR_SPE0_BEST_INDEX_SIGNATURE 0

/* Register CR_SPE1_BEST_INDEX_SIGNATURE */
#define TOPAZHP_CR_SPE1_BEST_INDEX_SIGNATURE 0x0354
#define MASK_TOPAZHP_CR_SPE1_BEST_INDEX_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_SPE1_BEST_INDEX_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_SPE1_BEST_INDEX_SIGNATURE 0x0354
#define SIGNED_TOPAZHP_CR_SPE1_BEST_INDEX_SIGNATURE 0

/* Register CR_SPE_INTRA_COST_SIGNATURE */
#define TOPAZHP_CR_SPE_INTRA_COST_SIGNATURE 0x0358
#define MASK_TOPAZHP_CR_SPE_INTRA_COST_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_SPE_INTRA_COST_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_SPE_INTRA_COST_SIGNATURE 0x0358
#define SIGNED_TOPAZHP_CR_SPE_INTRA_COST_SIGNATURE 0

/* Register CR_SPE_MVD_CLIP_RANGE */
#define TOPAZHP_CR_SPE_MVD_CLIP_RANGE 0x0360
#define MASK_TOPAZHP_CR_SPE_MVD_NEG_CLIP 0x00000FFF
#define SHIFT_TOPAZHP_CR_SPE_MVD_NEG_CLIP 0
#define REGNUM_TOPAZHP_CR_SPE_MVD_NEG_CLIP 0x0360
#define SIGNED_TOPAZHP_CR_SPE_MVD_NEG_CLIP 0

#define MASK_TOPAZHP_CR_SPE_MVD_POS_CLIP 0x00FFF000
#define SHIFT_TOPAZHP_CR_SPE_MVD_POS_CLIP 12
#define REGNUM_TOPAZHP_CR_SPE_MVD_POS_CLIP 0x0360
#define SIGNED_TOPAZHP_CR_SPE_MVD_POS_CLIP 0

#define MASK_TOPAZHP_CR_SPE_MVD_CLIP_ENABLE 0x80000000
#define SHIFT_TOPAZHP_CR_SPE_MVD_CLIP_ENABLE 31
#define REGNUM_TOPAZHP_CR_SPE_MVD_CLIP_ENABLE 0x0360
#define SIGNED_TOPAZHP_CR_SPE_MVD_CLIP_ENABLE 0

/* Register CR_SPE_SUBPEL_RESOLUTION */
#define TOPAZHP_CR_SPE_SUBPEL_RESOLUTION 0x0364
#define MASK_TOPAZHP_CR_SPE_SUBPEL_RESOLUTION 0x00000003
#define SHIFT_TOPAZHP_CR_SPE_SUBPEL_RESOLUTION 0
#define REGNUM_TOPAZHP_CR_SPE_SUBPEL_RESOLUTION 0x0364
#define SIGNED_TOPAZHP_CR_SPE_SUBPEL_RESOLUTION 0

/* Register CR_SPE0_MV_SIZE_SIGNATURE */
#define TOPAZHP_CR_SPE0_MV_SIZE_SIGNATURE 0x0368
#define MASK_TOPAZHP_CR_SPE0_MV_SIZE_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_SPE0_MV_SIZE_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_SPE0_MV_SIZE_SIGNATURE 0x0368
#define SIGNED_TOPAZHP_CR_SPE0_MV_SIZE_SIGNATURE 0

/* Register CR_SPE1_MV_SIZE_SIGNATURE */
#define TOPAZHP_CR_SPE1_MV_SIZE_SIGNATURE 0x036C
#define MASK_TOPAZHP_CR_SPE1_MV_SIZE_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_SPE1_MV_SIZE_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_SPE1_MV_SIZE_SIGNATURE 0x036C
#define SIGNED_TOPAZHP_CR_SPE1_MV_SIZE_SIGNATURE 0

/* Register CR_SPE_MB_PERFORMANCE_RESULT */
#define TOPAZHP_CR_SPE_MB_PERFORMANCE_RESULT 0x0370
#define MASK_TOPAZHP_CR_SPE_0_MB_PERFORMANCE_RESULT 0x0000FFFF
#define SHIFT_TOPAZHP_CR_SPE_0_MB_PERFORMANCE_RESULT 0
#define REGNUM_TOPAZHP_CR_SPE_0_MB_PERFORMANCE_RESULT 0x0370
#define SIGNED_TOPAZHP_CR_SPE_0_MB_PERFORMANCE_RESULT 0

#define MASK_TOPAZHP_CR_SPE_1_MB_PERFORMANCE_RESULT 0xFFFF0000
#define SHIFT_TOPAZHP_CR_SPE_1_MB_PERFORMANCE_RESULT 16
#define REGNUM_TOPAZHP_CR_SPE_1_MB_PERFORMANCE_RESULT 0x0370
#define SIGNED_TOPAZHP_CR_SPE_1_MB_PERFORMANCE_RESULT 0

/* Register CR_SPE_MB_PERFORMANCE_MB_NUMBER */
#define TOPAZHP_CR_SPE_MB_PERFORMANCE_MB_NUMBER 0x0374
#define MASK_TOPAZHP_CR_SPE_0_MB_PERFORMANCE_MB_NUMBER 0x0000FFFF
#define SHIFT_TOPAZHP_CR_SPE_0_MB_PERFORMANCE_MB_NUMBER 0
#define REGNUM_TOPAZHP_CR_SPE_0_MB_PERFORMANCE_MB_NUMBER 0x0374
#define SIGNED_TOPAZHP_CR_SPE_0_MB_PERFORMANCE_MB_NUMBER 0

#define MASK_TOPAZHP_CR_SPE_1_MB_PERFORMANCE_MB_NUMBER 0xFFFF0000
#define SHIFT_TOPAZHP_CR_SPE_1_MB_PERFORMANCE_MB_NUMBER 16
#define REGNUM_TOPAZHP_CR_SPE_1_MB_PERFORMANCE_MB_NUMBER 0x0374
#define SIGNED_TOPAZHP_CR_SPE_1_MB_PERFORMANCE_MB_NUMBER 0

/* Register CR_SPE_MB_PERFORMANCE_CLEAR */
#define TOPAZHP_CR_SPE_MB_PERFORMANCE_CLEAR 0x0378
#define MASK_TOPAZHP_CR_SPE_MB_PERFORMANCE_CLEAR 0x00000001
#define SHIFT_TOPAZHP_CR_SPE_MB_PERFORMANCE_CLEAR 0
#define REGNUM_TOPAZHP_CR_SPE_MB_PERFORMANCE_CLEAR 0x0378
#define SIGNED_TOPAZHP_CR_SPE_MB_PERFORMANCE_CLEAR 0

/* Register CR_PC_TOTAL_COSTS_SIGNATURE */
#define TOPAZHP_CR_PC_TOTAL_COSTS_SIGNATURE 0x037C
#define MASK_TOPAZHP_CR_PC_TOTAL_COSTS_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PC_TOTAL_COSTS_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_PC_TOTAL_COSTS_SIGNATURE 0x037C
#define SIGNED_TOPAZHP_CR_PC_TOTAL_COSTS_SIGNATURE 0

/* Register CR_PC_INTER_REGS_SIGNATURE */
#define TOPAZHP_CR_PC_INTER_REGS_SIGNATURE 0x0380
#define MASK_TOPAZHP_CR_PC_INTER_REGS_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PC_INTER_REGS_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_PC_INTER_REGS_SIGNATURE 0x0380
#define SIGNED_TOPAZHP_CR_PC_INTER_REGS_SIGNATURE 0

/* Register CR_PC_INTRA_REGS_SIGNATURE */
#define TOPAZHP_CR_PC_INTRA_REGS_SIGNATURE 0x0384
#define MASK_TOPAZHP_CR_PC_INTRA_REGS_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PC_INTRA_REGS_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_PC_INTRA_REGS_SIGNATURE 0x0384
#define SIGNED_TOPAZHP_CR_PC_INTRA_REGS_SIGNATURE 0

/* Register CR_PC_HW_OUTPUT_SIGNATURE */
#define TOPAZHP_CR_PC_HW_OUTPUT_SIGNATURE 0x0388
#define MASK_TOPAZHP_CR_PC_HW_OUTPUT_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PC_HW_OUTPUT_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_PC_HW_OUTPUT_SIGNATURE 0x0388
#define SIGNED_TOPAZHP_CR_PC_HW_OUTPUT_SIGNATURE 0

/* Register CR_PC_COSTS_16X8_SIGNATURE */
#define TOPAZHP_CR_PC_COSTS_16X8_SIGNATURE 0x038C
#define MASK_TOPAZHP_CR_PC_COSTS_16X8_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PC_COSTS_16X8_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_PC_COSTS_16X8_SIGNATURE 0x038C
#define SIGNED_TOPAZHP_CR_PC_COSTS_16X8_SIGNATURE 0

/* Register CR_PRED_COMB_CONTROL */
#define TOPAZHP_CR_PRED_COMB_CONTROL 0x0390
#define MASK_TOPAZHP_CR_INTRA4X4_DISABLE 0x00000001
#define SHIFT_TOPAZHP_CR_INTRA4X4_DISABLE 0
#define REGNUM_TOPAZHP_CR_INTRA4X4_DISABLE 0x0390
#define SIGNED_TOPAZHP_CR_INTRA4X4_DISABLE 0

#define MASK_TOPAZHP_CR_INTRA8X8_DISABLE 0x00000002
#define SHIFT_TOPAZHP_CR_INTRA8X8_DISABLE 1
#define REGNUM_TOPAZHP_CR_INTRA8X8_DISABLE 0x0390
#define SIGNED_TOPAZHP_CR_INTRA8X8_DISABLE 0

#define MASK_TOPAZHP_CR_INTRA16X16_DISABLE 0x00000004
#define SHIFT_TOPAZHP_CR_INTRA16X16_DISABLE 2
#define REGNUM_TOPAZHP_CR_INTRA16X16_DISABLE 0x0390
#define SIGNED_TOPAZHP_CR_INTRA16X16_DISABLE 0

#define MASK_TOPAZHP_CR_INTER8X8_DISABLE 0x00000010
#define SHIFT_TOPAZHP_CR_INTER8X8_DISABLE 4
#define REGNUM_TOPAZHP_CR_INTER8X8_DISABLE 0x0390
#define SIGNED_TOPAZHP_CR_INTER8X8_DISABLE 0

#define MASK_TOPAZHP_CR_B_PIC0_DISABLE 0x00000100
#define SHIFT_TOPAZHP_CR_B_PIC0_DISABLE 8
#define REGNUM_TOPAZHP_CR_B_PIC0_DISABLE 0x0390
#define SIGNED_TOPAZHP_CR_B_PIC0_DISABLE 0

#define MASK_TOPAZHP_CR_B_PIC1_DISABLE 0x00000200
#define SHIFT_TOPAZHP_CR_B_PIC1_DISABLE 9
#define REGNUM_TOPAZHP_CR_B_PIC1_DISABLE 0x0390
#define SIGNED_TOPAZHP_CR_B_PIC1_DISABLE 0

#define MASK_TOPAZHP_CR_INTER_INTRA_SCALE_ENABLE 0x00001000
#define SHIFT_TOPAZHP_CR_INTER_INTRA_SCALE_ENABLE 12
#define REGNUM_TOPAZHP_CR_INTER_INTRA_SCALE_ENABLE 0x0390
#define SIGNED_TOPAZHP_CR_INTER_INTRA_SCALE_ENABLE 0

#define MASK_TOPAZHP_CR_CUMULATIVE_BIASES_ENABLE 0x00000800
#define SHIFT_TOPAZHP_CR_CUMULATIVE_BIASES_ENABLE 11
#define REGNUM_TOPAZHP_CR_CUMULATIVE_BIASES_ENABLE 0x0390
#define SIGNED_TOPAZHP_CR_CUMULATIVE_BIASES_ENABLE 0

#define MASK_TOPAZHP_CR_SKIPPED_CODED_SCALE_ENABLE 0x00002000
#define SHIFT_TOPAZHP_CR_SKIPPED_CODED_SCALE_ENABLE 13
#define REGNUM_TOPAZHP_CR_SKIPPED_CODED_SCALE_ENABLE 0x0390
#define SIGNED_TOPAZHP_CR_SKIPPED_CODED_SCALE_ENABLE 0

#define MASK_TOPAZHP_CR_INTER_INTRA_HYSTERESIS 0xFFFF0000
#define SHIFT_TOPAZHP_CR_INTER_INTRA_HYSTERESIS 16
#define REGNUM_TOPAZHP_CR_INTER_INTRA_HYSTERESIS 0x0390
#define SIGNED_TOPAZHP_CR_INTER_INTRA_HYSTERESIS 0

/* Register CR_PC_COSTS_8X16_SIGNATURE */
#define TOPAZHP_CR_PC_COSTS_8X16_SIGNATURE 0x0394
#define MASK_TOPAZHP_CR_PC_COSTS_8X16_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PC_COSTS_8X16_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_PC_COSTS_8X16_SIGNATURE 0x0394
#define SIGNED_TOPAZHP_CR_PC_COSTS_8X16_SIGNATURE 0

/* Register CR_PC_COSTS_8X8_SIGNATURE */
#define TOPAZHP_CR_PC_COSTS_8X8_SIGNATURE 0x0398
#define MASK_TOPAZHP_CR_PC_COSTS_8X8_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PC_COSTS_8X8_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_PC_COSTS_8X8_SIGNATURE 0x0398
#define SIGNED_TOPAZHP_CR_PC_COSTS_8X8_SIGNATURE 0

/* Register CR_PRED_BU_STAT_UPDATE */
#define TOPAZHP_CR_PRED_BU_STAT_UPDATE 0x039C
#define MASK_TOPAZHP_CR_FORCE_BU_STAT_UPDATE 0x00000001
#define SHIFT_TOPAZHP_CR_FORCE_BU_STAT_UPDATE 0
#define REGNUM_TOPAZHP_CR_FORCE_BU_STAT_UPDATE 0x039C
#define SIGNED_TOPAZHP_CR_FORCE_BU_STAT_UPDATE 0

/* Register CR_BEST_INTER_BU_SAD */
#define TOPAZHP_CR_BEST_INTER_BU_SAD 0x03A0
#define MASK_TOPAZHP_CR_BEST_INTER_BU_SAD 0x7FFFFFFF
#define SHIFT_TOPAZHP_CR_BEST_INTER_BU_SAD 0
#define REGNUM_TOPAZHP_CR_BEST_INTER_BU_SAD 0x03A0
#define SIGNED_TOPAZHP_CR_BEST_INTER_BU_SAD 0

/* Register CR_BEST_INTER_BU_COST */
#define TOPAZHP_CR_BEST_INTER_BU_COST 0x03A4
#define MASK_TOPAZHP_CR_BEST_INTER_BU_COST 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_BEST_INTER_BU_COST 0
#define REGNUM_TOPAZHP_CR_BEST_INTER_BU_COST 0x03A4
#define SIGNED_TOPAZHP_CR_BEST_INTER_BU_COST 0

/* Register CR_BEST_INTRA_BU_SAD */
#define TOPAZHP_CR_BEST_INTRA_BU_SAD 0x03A8
#define MASK_TOPAZHP_CR_BEST_INTRA_BU_SAD 0x7FFFFFFF
#define SHIFT_TOPAZHP_CR_BEST_INTRA_BU_SAD 0
#define REGNUM_TOPAZHP_CR_BEST_INTRA_BU_SAD 0x03A8
#define SIGNED_TOPAZHP_CR_BEST_INTRA_BU_SAD 0

/* Register CR_BEST_INTRA_BU_COST */
#define TOPAZHP_CR_BEST_INTRA_BU_COST 0x03AC
#define MASK_TOPAZHP_CR_BEST_INTRA_BU_COST 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_BEST_INTRA_BU_COST 0
#define REGNUM_TOPAZHP_CR_BEST_INTRA_BU_COST 0x03AC
#define SIGNED_TOPAZHP_CR_BEST_INTRA_BU_COST 0

/* Register CR_PRED_COMB_DMS_SIGNATURE */
#define TOPAZHP_CR_PRED_COMB_DMS_SIGNATURE 0x03B0
#define MASK_TOPAZHP_CR_PRED_COMB_DMS_SIGNATURE 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_PRED_COMB_DMS_SIGNATURE 0
#define REGNUM_TOPAZHP_CR_PRED_COMB_DMS_SIGNATURE 0x03B0
#define SIGNED_TOPAZHP_CR_PRED_COMB_DMS_SIGNATURE 0

/* Register CR_PC_DMS_PERFORMANCE_CYCLES */
#define TOPAZHP_CR_PC_DMS_PERFORMANCE_CYCLES 0x03B4
#define MASK_TOPAZHP_CR_PC_DMS_WORST_MB_CYCLES 0x0000FFFF
#define SHIFT_TOPAZHP_CR_PC_DMS_WORST_MB_CYCLES 0
#define REGNUM_TOPAZHP_CR_PC_DMS_WORST_MB_CYCLES 0x03B4
#define SIGNED_TOPAZHP_CR_PC_DMS_WORST_MB_CYCLES 0

/* Register CR_PC_DMS_PERFORMANCE_MB_NUM */
#define TOPAZHP_CR_PC_DMS_PERFORMANCE_MB_NUM 0x03B8
#define MASK_TOPAZHP_CR_PC_DMS_WORST_MB_NUM 0x0000FFFF
#define SHIFT_TOPAZHP_CR_PC_DMS_WORST_MB_NUM 0
#define REGNUM_TOPAZHP_CR_PC_DMS_WORST_MB_NUM 0x03B8
#define SIGNED_TOPAZHP_CR_PC_DMS_WORST_MB_NUM 0

/* Register CR_PC_DMS_PERFORMANCE_CTRL */
#define TOPAZHP_CR_PC_DMS_PERFORMANCE_CTRL 0x03BC
#define MASK_TOPAZHP_CR_PC_DMS_WORST_MB_CLEAR 0x00000001
#define SHIFT_TOPAZHP_CR_PC_DMS_WORST_MB_CLEAR 0
#define REGNUM_TOPAZHP_CR_PC_DMS_WORST_MB_CLEAR 0x03BC
#define SIGNED_TOPAZHP_CR_PC_DMS_WORST_MB_CLEAR 0

#define MASK_TOPAZHP_CR_PC_DMS_DISABLE_COUNTERS 0x00000002
#define SHIFT_TOPAZHP_CR_PC_DMS_DISABLE_COUNTERS 1
#define REGNUM_TOPAZHP_CR_PC_DMS_DISABLE_COUNTERS 0x03BC
#define SIGNED_TOPAZHP_CR_PC_DMS_DISABLE_COUNTERS 0

/* Register CR_PC_DM_PERFORMANCE_CYCLES */
#define TOPAZHP_CR_PC_DM_PERFORMANCE_CYCLES 0x03C0
#define MASK_TOPAZHP_CR_PC_DM_WORST_MB_CYCLES 0x0000FFFF
#define SHIFT_TOPAZHP_CR_PC_DM_WORST_MB_CYCLES 0
#define REGNUM_TOPAZHP_CR_PC_DM_WORST_MB_CYCLES 0x03C0
#define SIGNED_TOPAZHP_CR_PC_DM_WORST_MB_CYCLES 0

/* Register CR_PC_DM_PERFORMANCE_MB_NUM */
#define TOPAZHP_CR_PC_DM_PERFORMANCE_MB_NUM 0x03C4
#define MASK_TOPAZHP_CR_PC_DM_WORST_MB_NUM 0x0000FFFF
#define SHIFT_TOPAZHP_CR_PC_DM_WORST_MB_NUM 0
#define REGNUM_TOPAZHP_CR_PC_DM_WORST_MB_NUM 0x03C4
#define SIGNED_TOPAZHP_CR_PC_DM_WORST_MB_NUM 0

/* Register CR_PC_DM_PERFORMANCE_CTRL */
#define TOPAZHP_CR_PC_DM_PERFORMANCE_CTRL 0x03C8
#define MASK_TOPAZHP_CR_PC_DM_WORST_MB_CLEAR 0x00000001
#define SHIFT_TOPAZHP_CR_PC_DM_WORST_MB_CLEAR 0
#define REGNUM_TOPAZHP_CR_PC_DM_WORST_MB_CLEAR 0x03C8
#define SIGNED_TOPAZHP_CR_PC_DM_WORST_MB_CLEAR 0

#define MASK_TOPAZHP_CR_PC_DM_DISABLE_COUNTERS 0x00000002
#define SHIFT_TOPAZHP_CR_PC_DM_DISABLE_COUNTERS 1
#define REGNUM_TOPAZHP_CR_PC_DM_DISABLE_COUNTERS 0x03C8
#define SIGNED_TOPAZHP_CR_PC_DM_DISABLE_COUNTERS 0

/* Register CR_BEST_INTER_INTRA_COUNTS */
#define TOPAZHP_CR_BEST_INTER_INTRA_COUNTS 0x03CC
#define MASK_TOPAZHP_CR_BEST_INTRA_BU_COUNT 0x000000FF
#define SHIFT_TOPAZHP_CR_BEST_INTRA_BU_COUNT 0
#define REGNUM_TOPAZHP_CR_BEST_INTRA_BU_COUNT 0x03CC
#define SIGNED_TOPAZHP_CR_BEST_INTRA_BU_COUNT 0

#define MASK_TOPAZHP_CR_BEST_INTER_BU_COUNT 0x0000FF00
#define SHIFT_TOPAZHP_CR_BEST_INTER_BU_COUNT 8
#define REGNUM_TOPAZHP_CR_BEST_INTER_BU_COUNT 0x03CC
#define SIGNED_TOPAZHP_CR_BEST_INTER_BU_COUNT 0

/* Register CR_WEIGHTED_PRED_CONTROL */
#define TOPAZHP_CR_WEIGHTED_PRED_CONTROL 0x03D0
#define MASK_TOPAZHP_CR_LOG_WD_LUMA 0x00000007
#define SHIFT_TOPAZHP_CR_LOG_WD_LUMA 0
#define REGNUM_TOPAZHP_CR_LOG_WD_LUMA 0x03D0
#define SIGNED_TOPAZHP_CR_LOG_WD_LUMA 0

#define MASK_TOPAZHP_CR_LOG_WD_CHROMA 0x00000070
#define SHIFT_TOPAZHP_CR_LOG_WD_CHROMA 4
#define REGNUM_TOPAZHP_CR_LOG_WD_CHROMA 0x03D0
#define SIGNED_TOPAZHP_CR_LOG_WD_CHROMA 0

#define MASK_TOPAZHP_CR_IMPLICIT_BIPRED 0x40000000
#define SHIFT_TOPAZHP_CR_IMPLICIT_BIPRED 30
#define REGNUM_TOPAZHP_CR_IMPLICIT_BIPRED 0x03D0
#define SIGNED_TOPAZHP_CR_IMPLICIT_BIPRED 0

#define MASK_TOPAZHP_CR_WEIGHTED_PRED_ENABLE 0x80000000
#define SHIFT_TOPAZHP_CR_WEIGHTED_PRED_ENABLE 31
#define REGNUM_TOPAZHP_CR_WEIGHTED_PRED_ENABLE 0x03D0
#define SIGNED_TOPAZHP_CR_WEIGHTED_PRED_ENABLE 0
#define TOPAZHP_CR_WEIGHTED_PRED_ENABLE_ENABLED		0x00000001		/* Weighted Prediction is enabled */
#define TOPAZHP_CR_WEIGHTED_PRED_ENABLE_DISABLED		0x00000000		/* Weighted Prediction is not enabled */

/* Register CR_WEIGHTED_PRED_COEFFS_0 */
#define TOPAZHP_CR_WEIGHTED_PRED_COEFFS_0 0x03D4
#define MASK_TOPAZHP_CR_WEIGHTED_PRED_OFFSET_00(i) (0x000000FF << (16 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_WEIGHTED_PRED_OFFSET_00(i) (16 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_WEIGHTED_PRED_OFFSET_00(i) 0x03D4

#define MASK_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT_00(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT_00(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT_00(i) 0x03D4

/* Register CR_WEIGHTED_PRED_COEFFS_1 */
#define TOPAZHP_CR_WEIGHTED_PRED_COEFFS_1 0x03D8
#define MASK_TOPAZHP_CR_WEIGHTED_PRED_OFFSET_01(i) (0x000000FF << (16 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_WEIGHTED_PRED_OFFSET_01(i) (16 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_WEIGHTED_PRED_OFFSET_01(i) 0x03D8

#define MASK_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT_01(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT_01(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT_01(i) 0x03D8

/* Register CR_WEIGHTED_PRED_COEFFS_2 */
#define TOPAZHP_CR_WEIGHTED_PRED_COEFFS_2 0x03DC
#define MASK_TOPAZHP_CR_WEIGHTED_PRED_OFFSET_02(i) (0x000000FF << (16 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_WEIGHTED_PRED_OFFSET_02(i) (16 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_WEIGHTED_PRED_OFFSET_02(i) 0x03DC

#define MASK_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT_02(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT_02(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT_02(i) 0x03DC

/* Register CR_WEIGHTED_PRED_INV_WEIGHT */
#define TOPAZHP_CR_WEIGHTED_PRED_INV_WEIGHT 0x03E0
#define MASK_TOPAZHP_CR_INV_LOG_WD(i) (0x00000007 << (16 + ((i) * 3)))
#define SHIFT_TOPAZHP_CR_INV_LOG_WD(i) (16 + ((i) * 3))
#define REGNUM_TOPAZHP_CR_INV_LOG_WD(i) 0x03E0

#define MASK_TOPAZHP_CR_INV_WEIGHT(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_INV_WEIGHT(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_INV_WEIGHT(i) 0x03E0

/* Register CR_TOPAZHP_RSVD0 */
#define TOPAZHP_CR_TOPAZHP_RSVD0    0x03F0
#define MASK_TOPAZHP_CR_TOPAZHP_RESERVED0 0xFFFFFFFF
#define SHIFT_TOPAZHP_CR_TOPAZHP_RESERVED0 0
#define REGNUM_TOPAZHP_CR_TOPAZHP_RESERVED0 0x03F0
#define SIGNED_TOPAZHP_CR_TOPAZHP_RESERVED0 0

/* Register CR_TOPAZHP_CRC_CLEAR */
#define TOPAZHP_CR_TOPAZHP_CRC_CLEAR 0x03F4
#define MASK_TOPAZHP_CR_IPE_CRC_CLEAR 0x00000001
#define SHIFT_TOPAZHP_CR_IPE_CRC_CLEAR 0
#define REGNUM_TOPAZHP_CR_IPE_CRC_CLEAR 0x03F4
#define SIGNED_TOPAZHP_CR_IPE_CRC_CLEAR 0

#define MASK_TOPAZHP_CR_SPE_CRC_CLEAR 0x00000002
#define SHIFT_TOPAZHP_CR_SPE_CRC_CLEAR 1
#define REGNUM_TOPAZHP_CR_SPE_CRC_CLEAR 0x03F4
#define SIGNED_TOPAZHP_CR_SPE_CRC_CLEAR 0

#define MASK_TOPAZHP_CR_JMCOMP_CRC_CLEAR 0x00000008
#define SHIFT_TOPAZHP_CR_JMCOMP_CRC_CLEAR 3
#define REGNUM_TOPAZHP_CR_JMCOMP_CRC_CLEAR 0x03F4
#define SIGNED_TOPAZHP_CR_JMCOMP_CRC_CLEAR 0

#define MASK_TOPAZHP_CR_H264COMP_CRC_CLEAR 0x00000010
#define SHIFT_TOPAZHP_CR_H264COMP_CRC_CLEAR 4
#define REGNUM_TOPAZHP_CR_H264COMP_CRC_CLEAR 0x03F4
#define SIGNED_TOPAZHP_CR_H264COMP_CRC_CLEAR 0

#define MASK_TOPAZHP_CR_DB_CRC_CLEAR 0x00000020
#define SHIFT_TOPAZHP_CR_DB_CRC_CLEAR 5
#define REGNUM_TOPAZHP_CR_DB_CRC_CLEAR 0x03F4
#define SIGNED_TOPAZHP_CR_DB_CRC_CLEAR 0

#define MASK_TOPAZHP_CR_VLC_CRC_CLEAR 0x00000040
#define SHIFT_TOPAZHP_CR_VLC_CRC_CLEAR 6
#define REGNUM_TOPAZHP_CR_VLC_CRC_CLEAR 0x03F4
#define SIGNED_TOPAZHP_CR_VLC_CRC_CLEAR 0

#define MASK_TOPAZHP_CR_PC_CRC_CLEAR 0x00000080
#define SHIFT_TOPAZHP_CR_PC_CRC_CLEAR 7
#define REGNUM_TOPAZHP_CR_PC_CRC_CLEAR 0x03F4
#define SIGNED_TOPAZHP_CR_PC_CRC_CLEAR 0

#define MASK_TOPAZHP_CR_LRITC_CRC_CLEAR 0x00000100
#define SHIFT_TOPAZHP_CR_LRITC_CRC_CLEAR 8
#define REGNUM_TOPAZHP_CR_LRITC_CRC_CLEAR 0x03F4
#define SIGNED_TOPAZHP_CR_LRITC_CRC_CLEAR 0


/* Table CR_JMCOMP_LUMA_QUANTISER_TABLE */

/* Register CR_JMCOMP_LUMA_QUANTISER */
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER(X) (0x0280 + (4 * (X)))
#define MASK_TOPAZHP_CR_JMCOMP_LUMA_QUANT(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_LUMA_QUANT(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_LUMA_QUANT(X,i) (0x0280 + (4 * (X)))

/* Number of entries in table CR_JMCOMP_LUMA_QUANTISER_TABLE */

#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_TABLE_SIZE_UINT32 16
#define TOPAZHP_CR_JMCOMP_LUMA_QUANTISER_TABLE_NUM_ENTRIES 16


/* Table CR_JMCOMP_CHROMA_QUANTISER_TABLE */

/* Register CR_JMCOMP_CHROMA_QUANTISER */
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER(X) (0x02C0 + (4 * (X)))
#define MASK_TOPAZHP_CR_JMCOMP_CHROMA_QUANT(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_JMCOMP_CHROMA_QUANT(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_JMCOMP_CHROMA_QUANT(X,i) (0x02C0 + (4 * (X)))

/* Number of entries in table CR_JMCOMP_CHROMA_QUANTISER_TABLE */

#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_TABLE_SIZE_UINT32 16
#define TOPAZHP_CR_JMCOMP_CHROMA_QUANTISER_TABLE_NUM_ENTRIES 16


/* Table CR_WEIGHTED_PRED_COEFFS */

/* Register CR_WEIGHTED_PRED_COEFFS */
#define TOPAZHP_CR_WEIGHTED_PRED_COEFFS(X) (0x03D4 + (4 * (X)))
#define MASK_TOPAZHP_CR_WEIGHTED_PRED_OFFSET(i) (0x000000FF << (16 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_WEIGHTED_PRED_OFFSET(i) (16 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_WEIGHTED_PRED_OFFSET(X,i) (0x03D4 + (4 * (X)))

#define MASK_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT(i) (0x000000FF << (0 + ((i) * 8)))
#define SHIFT_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT(i) (0 + ((i) * 8))
#define REGNUM_TOPAZHP_CR_WEIGHTED_PRED_WEIGHT(X,i) (0x03D4 + (4 * (X)))

/* Number of entries in table CR_WEIGHTED_PRED_COEFFS */

#define TOPAZHP_CR_WEIGHTED_PRED_COEFFS_SIZE_UINT32 3
#define TOPAZHP_CR_WEIGHTED_PRED_COEFFS_NUM_ENTRIES 3

/*
	Byte range covering the group TOPAZHP_CORE file
*/

#define TOPAZHP_TOPAZHP_CORE_REGISTERS_START		0x00000000
#define TOPAZHP_TOPAZHP_CORE_REGISTERS_END  		0x000003F7

/*
	Byte range covering the whole register file
*/

#define TOPAZHP_REGISTERS_START		0x00000000
#define TOPAZHP_REGISTERS_END  		0x000003F7

#endif
